Professional Web Applications Themes

portmanager hosed - FreeBSD

On Tuesday 15 February 2005 10:15 am, Brian John wrote: > When I try to upgrade my ports I just get error messages. Can > someone help me out? I'll paste the output below. > > Thanks > > /Brian > > su-2.05b# portmanager -u > portmanager 0.2.6_5 info: executing rm -f > /usr/local/share/portmanager/ports_cache.db > --------------------------------------------------------------------- >--- PMGRrStatus 0.2.6_5 info: Creating inital data bases > --------------------------------------------------------------------- >--- > --------------------------------------------------------------------- >--- PMGRrStatus 0.2.6_5 info: looking for missing dependent ports > --------------------------------------------------------------------- >--- > --------------------------------------------------------------------- >--- -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a > dependency of linuxpluginwrapper-20050119_1 > verifing dependency status of linux_base-8-8.0_6 (may ...

  1. #1

    Default Re: portmanager hosed

    On Tuesday 15 February 2005 10:15 am, Brian John wrote:
    > When I try to upgrade my ports I just get error messages. Can
    > someone help me out? I'll paste the output below.
    >
    > Thanks
    >
    > /Brian
    >
    > su-2.05b# portmanager -u
    > portmanager 0.2.6_5 info: executing rm -f
    > /usr/local/share/portmanager/ports_cache.db
    > ---------------------------------------------------------------------
    >--- PMGRrStatus 0.2.6_5 info: Creating inital data bases
    > ---------------------------------------------------------------------
    >---
    > ---------------------------------------------------------------------
    >--- PMGRrStatus 0.2.6_5 info: looking for missing dependent ports
    > ---------------------------------------------------------------------
    >---
    > ---------------------------------------------------------------------
    >--- -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    > dependency of linuxpluginwrapper-20050119_1
    > verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    > executing command:
    > cd /usr/ports/www/linuxpluginwrapper; make all-depends-list
    > * * * *
    > linux_base-8-8.0_6 is indeed a missing dependency, adding to list of
    > things to be updated
    > * * * *
    > checking for linux_base-8-8.0_6 dependencies that also may not be
    > installed listing linux_base-8-8.0_6's known dependencies by
    > executing command: cd /usr/ports/emulators/linux_base-8; make
    > all-depends-list * * * *
    > dependency -=>archivers/rpm
    > executing: cd /usr/portsarchivers/rpm; make describe
    > cd: can't cd to /usr/portsarchivers/rpm
    > make: don't know how to make describe. Stop
    The path /usr/portsarchivers/rpm is mangled here. Sorry
    about this it looks like a portmanager bug :( I'll work on a fix
    right away.

    -Mike
    Michael C. Shultz Guest

  2. #2

    Default Error in port upgrade (was Re: portmanager hosed)

    Michael C. Shultz wrote:
    >On Tuesday 15 February 2005 10:15 am, Brian John wrote:
    >
    >
    >>When I try to upgrade my ports I just get error messages. Can
    >>someone help me out? I'll paste the output below.
    >>
    >>Thanks
    >>
    >>/Brian
    >>
    >>su-2.05b# portmanager -u
    >>portmanager 0.2.6_5 info: executing rm -f
    >>/usr/local/share/portmanager/ports_cache.db
    >>---------------------------------------------------------------------
    >>--- PMGRrStatus 0.2.6_5 info: Creating inital data bases
    >>---------------------------------------------------------------------
    >>---
    >>---------------------------------------------------------------------
    >>--- PMGRrStatus 0.2.6_5 info: looking for missing dependent ports
    >>---------------------------------------------------------------------
    >>---
    >>---------------------------------------------------------------------
    >>--- -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    >>dependency of linuxpluginwrapper-20050119_1
    >>verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    >>executing command:
    >>cd /usr/ports/www/linuxpluginwrapper; make all-depends-list
    >> * * * *
    >>linux_base-8-8.0_6 is indeed a missing dependency, adding to list of
    >>things to be updated
    >> * * * *
    >>checking for linux_base-8-8.0_6 dependencies that also may not be
    >>installed listing linux_base-8-8.0_6's known dependencies by
    >>executing command: cd /usr/ports/emulators/linux_base-8; make
    >>
    >>
    >
    >
    >
    >>all-depends-list * * * *
    >>dependency -=>archivers/rpm
    >> executing: cd /usr/portsarchivers/rpm; make describe
    >>cd: can't cd to /usr/portsarchivers/rpm
    >>make: don't know how to make describe. Stop
    >>
    >>
    >
    >The path /usr/portsarchivers/rpm is mangled here. Sorry
    >about this it looks like a portmanager bug :( I'll work on a fix
    >right away.
    >
    >-Mike
    >
    >
    >
    I tried your fix but it still doesn't seem to be working. The output is
    below.

    Thanks very much for your help

    /Brian

    creating iconv
    /bin/sh /usr/local/bin/libtool15 --mode=install install -s -o root -g
    wheel -m 555 iconv /usr/local/bin/iconv
    libtool15: install: warning: `../lib//libiconv.la' has not been
    installed in `/usr/local/lib'
    install -o root -g wheel -m 555 -s .libs/iconv /usr/local/bin/iconv
    if [ ! -d /usr/local ] ; then /bin/sh ./autoconf/mkinstalldirs
    /usr/local ; fi
    if [ ! -d /usr/local ] ; then /bin/sh ./autoconf/mkinstalldirs
    /usr/local ; fi
    if [ ! -d /usr/local/include ] ; then /bin/sh ./autoconf/mkinstalldirs
    /usr/local/include ; fi
    install -o root -g wheel -m 444 include/iconv.h /usr/local/include/iconv.h
    cd po && make install prefix='/usr/local' exec_prefix='/usr/local'
    datadir='/usr/local/share'
    if test "libiconv" = "gettext-tools"; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/gettext/po; for file in
    Makefile.in.in remove-potcdate.sin quot.sed boldquot.sed [email]enquot.head[/email]er
    [email]enboldquot.head[/email]er insert-header.sin Rules-quot Makevars.template; do
    install -o root -g wheel -m 444 ./$file
    /usr/local/share/gettext/po/$file; done; for file in Makevars; do rm
    -f /usr/local/share/gettext/po/$file; done; else : ; fi
    cd man && make install prefix='/usr/local' exec_prefix='/usr/local'
    datadir='/usr/local/share' mandir='/usr/local/man'
    if [ ! -d /usr/local ] ; then /bin/sh ../autoconf/mkinstalldirs
    /usr/local ; fi
    if [ ! -d /usr/local/share ] ; then /bin/sh ../autoconf/mkinstalldirs
    /usr/local/share ; fi
    if [ ! -d /usr/local/man ] ; then /bin/sh ../autoconf/mkinstalldirs
    /usr/local/man ; fi
    if [ ! -d /usr/local/man/man1 ] ; then /bin/sh ../autoconf/mkinstalldirs
    /usr/local/man/man1 ; fi
    builddir="`pwd`"; cd . && for f in *.1 ; do (cd "$builddir"; echo
    install -o root -g wheel -m 444 ./$f /usr/local/man/man1/$f ; install
    -o root -g wheel -m 444 ./$f /usr/local/man/man1/$f) ; done
    install -o root -g wheel -m 444 ./iconv.1 /usr/local/man/man1/iconv.1
    if [ ! -d /usr/local/man/man3 ] ; then /bin/sh ../autoconf/mkinstalldirs
    /usr/local/man/man3 ; fi
    builddir="`pwd`"; cd . && for f in *.3 ; do (cd "$builddir"; echo
    install -o root -g wheel -m 444 ./$f /usr/local/man/man3/$f ; install
    -o root -g wheel -m 444 ./$f /usr/local/man/man3/$f) ; done
    install -o root -g wheel -m 444 ./iconv.3 /usr/local/man/man3/iconv.3
    install -o root -g wheel -m 444 ./iconv_close.3
    /usr/local/man/man3/iconv_close.3
    install -o root -g wheel -m 444 ./iconv_open.3
    /usr/local/man/man3/iconv_open.3
    if [ ! -d /usr/local/share/doc ] ; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/doc ; fi
    if [ ! -d /usr/local/share/doc/libiconv ] ; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/doc/libiconv ; fi
    mkdir -p -- /usr/local/share/doc/libiconv
    if [ ! -d /usr/local/share/doc/libiconv ] ; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/doc/libiconv ; fi
    builddir="`pwd`"; cd . && for f in *.html ; do (cd "$builddir"; echo
    install -o root -g wheel -m 444 ./$f /usr/local/share/doc/libiconv/$f ;
    install -o root -g wheel -m 444 ./$f /usr/local/share/doc/libiconv/$f)
    ; done
    install -o root -g wheel -m 444 ./iconv.1.html
    /usr/local/share/doc/libiconv/iconv.1.html
    install -o root -g wheel -m 444 ./iconv.3.html
    /usr/local/share/doc/libiconv/iconv.3.html
    install -o root -g wheel -m 444 ./iconv_close.3.html
    /usr/local/share/doc/libiconv/iconv_close.3.html
    install -o root -g wheel -m 444 ./iconv_open.3.html
    /usr/local/share/doc/libiconv/iconv_open.3.html
    ===> Compressing manual pages for libiconv-1.9.2_1
    ===> Running ldconfig
    /sbin/ldconfig -m /usr/local/lib
    ===> Registering installation for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    deleting backup copy, installation of updated /converters/libiconv
    successful
    PMGRrDoUpgrade 0.2.6_5 command: #6 of 8 cd /tmp; rm -f libiconv-1.9.2_1.tgz
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    making package of updated /converters/libiconv
    PMGRrDoUpgrade 0.2.6_5 command: #7 of 8 cd
    /usr/ports/converters/libiconv; make package
    ------------------------------------------------------------------------
    ===> Building package for libiconv-1.9.2_1
    Creating package /usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz
    Registering depends:.
    Creating bzip'd tar ball in
    '/usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz'
    ------------------------------------------------------------------------
    terminal clean of work directories
    PMGRrDoUpgrade 0.2.6_5 command: #8 of 8 cd
    /usr/ports/converters/libiconv; make clean
    ------------------------------------------------------------------------
    ===> Cleaning for libtool-1.5.10
    ===> Cleaning for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: Creating inital data bases
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for missing dependent ports
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    dependency of linuxpluginwrapper-20050119_1
    verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    executing command:
    cd /usr/ports/www/linuxpluginwrapper; make all-depends-list
    * * * *
    linux_base-8-8.0_6 is indeed a missing dependency, adding to list of
    things to be updated
    * * * *
    checking for linux_base-8-8.0_6 dependencies that also may not be installed
    listing linux_base-8-8.0_6's known dependencies by executing command:
    cd /usr/ports/emulators/linux_base-8; make all-depends-list
    * * * *
    dependency -=>archivers/rpm
    executing: cd /usr/ports/archivers/rpm; make describe
    * * * *
    adding rpm-3.0.6_9 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be
    a dependency of nautilus-cd-burner-2.8.6_1
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take
    awhile) by executing command:
    cd /usr/ports/sysutils/nautilus-cd-burner; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to
    list of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not
    be installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing
    command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be
    a dependency of totem-0.100
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take
    awhile) by executing command:
    cd /usr/ports/multimedia/totem; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to
    list of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not
    be installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing
    command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    dependency of linux-pango-1.2.1_2
    verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    executing command:
    cd /usr/ports/x11-toolkits/linux-pango; make all-depends-list
    * * * *
    linux_base-8-8.0_6 is indeed a missing dependency, adding to list of
    things to be updated
    * * * *
    checking for linux_base-8-8.0_6 dependencies that also may not be installed
    listing linux_base-8-8.0_6's known dependencies by executing command:
    cd /usr/ports/emulators/linux_base-8; make all-depends-list
    * * * *
    dependency -=>archivers/rpm
    executing: cd /usr/ports/archivers/rpm; make describe
    * * * *
    adding rpm-3.0.6_9 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    dependency of apsfilter-7.2.6
    verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    executing command:
    cd /usr/ports/print/apsfilter; make all-depends-list
    * * * *
    linux_base-8-8.0_6 is no longer a dependency of apsfilter-7.2.6
    forcing rebuild of apsfilter-7.2.6 to fix
    /var/db/pkg/apsfilter-7.2.6/+CONTENTS file.
    * * * *
    WARNING: linux_base-8-8.0_6 may conflict with a new apsfilter-7.2.6
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-8-8.0_6".
    If portmanager fails during rebuild of apsfilter-7.2.6 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8] may be a
    dependency of linux-gtk2-2.2.1_3
    verifing dependency status of linux_base-8-8.0_6 (may take awhile) by
    executing command:
    cd /usr/ports/x11-toolkits/linux-gtk2; make all-depends-list
    * * * *
    linux_base-8-8.0_6 is indeed a missing dependency, adding to list of
    things to be updated
    * * * *
    checking for linux_base-8-8.0_6 dependencies that also may not be installed
    listing linux_base-8-8.0_6's known dependencies by executing command:
    cd /usr/ports/emulators/linux_base-8; make all-depends-list
    * * * *
    dependency -=>archivers/rpm
    executing: cd /usr/ports/archivers/rpm; make describe
    * * * *
    adding rpm-3.0.6_9 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for old installed ports
    ------------------------------------------------------------------------
    have:expat-1.95.8 status: CURRENT: /textproc/expat2
    have:freetype2-2.1.7_4 status: CURRENT: /print/freetype2
    have:pkgconfig-0.15.0_1 status: CURRENT: /devel/pkgconfig
    have:fontconfig-2.2.3,1 status: CURRENT: /x11-fonts/fontconfig
    have:imake-6.8.1 status: CURRENT: /devel/imake-6
    have:xorg-libraries-6.8.1_1 status: CURRENT: /x11/xorg-libraries
    have:libXft-2.1.6 status: CURRENT: /x11-fonts/libXft
    have:png-1.2.8_1 status: CURRENT: /graphics/png
    have:xterm-200 status: CURRENT: /x11/xterm
    have:xorg-clients-6.8.1_1 status: CURRENT: /x11/xorg-clients
    have:xorg-manpages-6.8.1 status: CURRENT: /x11/xorg-manpages
    have:xorg-doents-6.8.1 status: CURRENT: /x11/xorg-doents
    have:xorg-server-6.8.1_2 status: CURRENT: /x11-servers/xorg-server
    have:xorg-nestserver-6.8.1 status: CURRENT: /x11-servers/xorg-nestserver
    have:xorg-printserver-6.8.1 status: CURRENT:
    /x11-servers/xorg-printserver
    have:xorg-vfbserver-6.8.1 status: CURRENT: /x11-servers/xorg-vfbserver
    have:qmake-3.3.4 status: CURRENT: /devel/qmake
    have:perl-5.8.6_2 status: CURRENT: /lang/perl5.8
    have:xorg-fonts-encodings-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-encodings
    have:xorg-fonts-miscbitmaps-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-miscbitmaps
    have:xorg-fonts-75dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-75dpi
    have:xorg-fonts-100dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-100dpi
    have:xorg-fonts-cyrillic-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-cyrillic
    have:xorg-fonts-type1-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-type1
    have:bitstream-vera-1.10 status: OLD
    available:bitstream-vera-1.10_1 /x11-fonts/bitstream-vera
    have:xorg-fonts-truetype-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-truetype
    have:xorg-fontserver-6.8.1_2 status: CURRENT: /x11-servers/xorg-fontserver
    have:linux_base-rh-9 status: CURRENT: /emulators/linux_base-rh-9
    have:libtool-1.3.5_2 status: CURRENT: /devel/libtool13
    have:jpeg-6b_3 status: CURRENT: /graphics/jpeg
    have:tiff-3.7.1_2 status: CURRENT: /graphics/tiff
    have:gnupg-1.4.0_1 status: CURRENT: /security/gnupg
    have:libmng-1.0.8 status: CURRENT: /graphics/libmng
    have:libtool-1.5.10 status: CURRENT: /devel/libtool15
    have:libiconv-1.9.2_1 status: CURRENT: /converters/libiconv
    have:nas-1.7 status: CURRENT: /audio/nas
    have:gettext-0.14.1 status: CURRENT: /devel/gettext
    have:gmake-3.80_2 status: CURRENT: /devel/gmake
    have:qt-3.3.4 status: CURRENT: /x11-toolkits/qt33
    have:m4-1.4.1 status: CURRENT: /devel/m4
    have:p5-gettext-1.03 status: CURRENT: /devel/p5-Locale-gettext
    have:help2man-1.34.2 status: CURRENT: /misc/help2man
    have:autoconf-2.59_2 status: CURRENT: /devel/autoconf259
    have:samba-libsmbclient-3.0.11_1 status: CURRENT: /net/samba-libsmbclient
    have:libmad-0.15.1b_1 status: CURRENT: /audio/libmad
    have:libart_lgpl2-2.3.17 status: CURRENT: /graphics/libart_lgpl2
    have:libaudiofile-0.2.6 status: CURRENT: /audio/libaudiofile
    have:libxml2-2.6.17 status: CURRENT: /textproc/libxml2
    have:gnutls-1.0.24 status: CURRENT: /security/gnutls
    have:glib-2.4.8 status: CURRENT: /devel/glib20
    have:libvorbis-1.1.0_1,3 status: CURRENT: /audio/libvorbis
    have:arts-1.3.2,1 status: CURRENT: /audio/arts
    have:aspell-0.60.2 status: CURRENT: /textproc/aspell
    have:cups-base-1.1.23.0_3 status: CURRENT: /print/cups-base
    have:autoconf-2.53_3 status: CURRENT: /devel/autoconf253
    have:automake-1.5_2,1 status: CURRENT: /devel/automake15
    have:fam-2.6.9_6 status: CURRENT: /devel/fam
    have:gengetopt-2.11 status: CURRENT: /devel/gengetopt
    have:libidn-0.5.13 status: CURRENT: /devel/libidn
    have:unzip-5.51 status: CURRENT: /archivers/unzip
    have:jasper-1.701.0 status: CURRENT: /graphics/jasper
    have:rpm2cpio-1.2_2 status: CURRENT: /archivers/rpm2cpio
    have:pcre-5.0 status: CURRENT: /devel/pcre
    have:openldap-client-2.2.23 status: CURRENT: /net/openldap22-client
    have:kdelibs-3.3.2_4 status: CURRENT: /x11/kdelibs3
    have:artswrapper-1.2.1_1 status: CURRENT: /audio/artswrapper
    have:kdebase-3.3.2_1 status: CURRENT: /x11/kdebase3
    have:cdrtools-2.01 status: CURRENT: /sysutils/cdrtools
    have:net-snmp-5.2.1 status: CURRENT: /net-mgmt/net-snmp
    have:libgpg-error-1.0_1 status: CURRENT: /security/libgpg-error
    have:gtk-2.4.14_2 status: CURRENT: /x11-toolkits/gtk20
    have:gsfonts-8.11_2 status: CURRENT: /print/gsfonts
    have:ghostscript-gnu-7.07_12 status: CURRENT: /print/ghostscript-gnu
    have:xpdf-3.00_6 status: CURRENT: /graphics/xpdf
    have:jbigkit-1.6 status: CURRENT: /graphics/jbigkit
    have:libwmf-0.2.8.3 status: CURRENT: /graphics/libwmf
    have:OpenEXR-1.2.1_1 status: CURRENT: /graphics/OpenEXR
    have:mpeg2codec-1.2_1 status: CURRENT: /multimedia/mpeg2codec
    have:ImageMagick-6.1.9.2 status: CURRENT: /graphics/ImageMagick
    have:bison-1.75_2 status: CURRENT: /devel/bison
    have:tcl-8.4.7,1 status: CURRENT: /lang/tcl84
    have:tk-8.4.7,2 status: CURRENT: /x11-toolkits/tk84
    have:graphviz-1.16 status: CURRENT: /graphics/graphviz
    have:libcdio-0.72 status: CURRENT: /sysutils/libcdio
    have:libgsf-1.10.1 status: CURRENT: /devel/libgsf
    have:wv2-0.2.2 status: CURRENT: /textproc/wv2
    have:WordNet-2.0 status: CURRENT: /textproc/wordnet
    have:openslp-1.0.11_1 status: CURRENT: /net/openslp
    have:qca-tls-1.0_1 status: CURRENT: /security/qca-tls
    have:fribidi-0.10.4_1 status: CURRENT: /converters/fribidi
    have:libglut-6.0.1 status: CURRENT: /graphics/libglut
    have:t1lib-5.0.1,1 status: CURRENT: /devel/t1lib
    have:open-motif-2.2.3_1 status: CURRENT: /x11-toolkits/open-motif
    have:koffice-1.3.5_2,1 status: CURRENT: /editors/koffice-kde3
    have:imlib-1.9.15_2 status: CURRENT: /graphics/imlib
    have:glib-1.2.10_11 status: CURRENT: /devel/glib12
    have:gtk-1.2.10_12 status: CURRENT: /x11-toolkits/gtk12
    have:python-2.4_1 status: CURRENT: /lang/python
    have:libungif-4.1.3 status: CURRENT: /graphics/libungif
    have:nasm-0.98.39,1 status: CURRENT: /devel/nasm
    have:kdegraphics-kuickshow-3.3.2 status: CURRENT: /graphics/kuickshow
    have:libusb-0.1.7_1 status: CURRENT: /devel/libusb
    have:gnokii-0.6.4,1 status: CURRENT: /comms/gnokii
    have:libgphoto2-2.1.5 status: CURRENT: /graphics/libgphoto2
    have:kdegraphics-kamera-3.3.2 status: CURRENT: /graphics/kamera
    have:kdegraphics-3.3.2_2 status: CURRENT: /graphics/kdegraphics3
    have:javavmwrapper-2.0_3 status: CURRENT: /java/javavmwrapper
    have:flac-1.1.0_4 status: CURRENT: /audio/flac
    have:cdparanoia-3.9.8_7 status: CURRENT: /audio/cdparanoia
    have:libmusicbrainz-2.1.1 status: CURRENT: /audio/libmusicbrainz
    have:speex-1.0.4_1,1 status: CURRENT: /audio/speex
    have:libtunepimp-0.3.0_1 status: CURRENT: /audio/libtunepimp
    have:djbfft-0.76_1 status: CURRENT: /math/djbfft
    have:aalib-1.4.r5_1 status: CURRENT: /graphics/aalib
    have:svgalib-1.4.3_4 status: CURRENT: /graphics/svgalib
    have:sdl-1.2.8,2 status: CURRENT: /devel/sdl12
    have:taglib-1.3.1 status: CURRENT: /audio/taglib
    have:liba52-0.7.4_1 status: CURRENT: /audio/liba52
    have:libdvdcss-1.2.8_1 status: CURRENT: /multimedia/libdvdcss
    have:libdvdread-0.9.4_1 status: CURRENT: /multimedia/libdvdread
    have:gcc-3.2.3_3 status: CURRENT: /lang/gcc32
    have:kdemultimedia-mpeglib_artsplug-3.3.2 status: CURRENT:
    /audio/mpeglib_artsplug
    have:kdemultimedia-3.3.2 status: CURRENT: /multimedia/kdemultimedia3
    have:pilot-link-0.11.8_3 status: CURRENT: /palm/pilot-link
    have:libmal-0.40 status: CURRENT: /palm/libmal
    have:esound-0.2.35_1 status: CURRENT: /audio/esound
    have:libassuan-0.6.9 status: CURRENT: /security/libassuan
    have:db4-4.0.14_1,1 status: CURRENT: /databases/db4
    have:kdesdk-3.3.2 status: CURRENT: /devel/kdesdk3
    have:automake-1.9.4 status: CURRENT: /devel/automake19
    have:kdevelop-3.1.2 status: CURRENT: /devel/kdevelop
    have:kdeedu-3.3.2 status: CURRENT: /misc/kdeedu3
    have:kdeadmin-3.3.2 status: CURRENT: /sysutils/kdeadmin3
    have:tidy-20000804_2 status: CURRENT: /www/tidy
    have:kdeutils-3.3.2 status: CURRENT: /misc/kdeutils3
    have:kdemultimedia-xine_artsplugin-3.3.2_1 status: CURRENT:
    /multimedia/xine_artsplugin
    have:kdewebdev-3.3.2,2 status: CURRENT: /www/kdewebdev
    have:kdetoys-3.3.2 status: CURRENT: /x11-clocks/kdetoys3
    have:kdeartwork-3.3.2 status: CURRENT: /x11-themes/kdeartwork3
    have:kdeaccessibility-3.3.2 status: CURRENT:
    /accessibility/kdeaccessibility
    have:kde-3.3.2 status: CURRENT: /x11/kde3
    have:zip-2.3_2 status: CURRENT: /archivers/zip
    have:p5-XML-Pr-2.34_1 status: CURRENT: /textproc/p5-XML-Pr
    have:intltool-0.32.1 status: CURRENT: /textproc/intltool
    have:nspr-4.4.1_1 status: CURRENT: /devel/nspr
    have:shared-mime-info-0.15_7 status: CURRENT: /misc/shared-mime-info
    have:ruby-1.8.2_2 status: CURRENT: /lang/ruby18
    have:ruby18-bdb1-0.2.2 status: CURRENT: /databases/ruby-bdb1
    have:portupgrade-20041226_1 status: CURRENT: /sysutils/portupgrade
    have:hicolor-icon-theme-0.5 status: CURRENT: /misc/hicolor-icon-theme
    have:apache-ant-1.6.2 status: CURRENT: /devel/apache-ant
    have:libIDL-0.8.5 status: CURRENT: /devel/libIDL
    have:bash-3.0.16_1 status: CURRENT: /shells/bash
    have:libexif-0.6.10 status: CURRENT: /graphics/libexif
    have:grub-0.95 status: CURRENT: /sysutils/grub
    have:atk-1.8.0 status: CURRENT: /accessibility/atk
    have:mtools-3.9.8_4 status: CURRENT: /emulators/mtools
    have:ezm3-1.2 status: CURRENT: /lang/ezm3
    have:cvsup-16.1h status: CURRENT: /net/cvsup
    have:pango-1.6.0 status: CURRENT: /x11-toolkits/pango
    have:gnomehier-1.0_22 status: CURRENT: /misc/gnomehier
    have:thunderbird-1.0_1 status: CURRENT: /mail/thunderbird
    have:libogg-1.1.2_1,3 status: CURRENT: /audio/libogg
    have:firefox-1.0_7,1 status: CURRENT: /www/firefox
    have:libltdl-1.5.10 status: CURRENT: /devel/libltdl15
    have:kdehier-1.0_4 status: CURRENT: /misc/kdehier
    have:kdenetwork-3.3.2 status: CURRENT: /net/kdenetwork3
    have:libfame-0.9.1_1 status: CURRENT: /multimedia/libfame
    have:libgcrypt-1.2.1 status: CURRENT: /security/libgcrypt
    have:libksba-0.9.10_1 status: CURRENT: /security/libksba
    have:pth-2.0.3 status: CURRENT: /devel/pth
    have:dirmngr-0.9.0_1 status: CURRENT: /security/dirmngr
    have:gpgme-1.0.2 status: CURRENT: /security/gpgme
    have:kdepim-3.3.2 status: CURRENT: /deskutils/kdepim3
    have:gnupg-devel-1.9.14_1 status: CURRENT: /security/gnupg-devel
    have:libmikmod-esound-3.1.11 status: CURRENT: /audio/libmikmod
    have:gnomemimedata-2.4.2 status: CURRENT: /misc/gnomemimedata
    have:libijs-0.35 status: CURRENT: /print/libijs
    have:gimp-print-4.2.7_1 status: CURRENT: /print/gimp-print
    have:xmms-esound-1.2.10_2 status: CURRENT: /multimedia/xmms
    have:linc-1.0.3_2 status: CURRENT: /net/linc
    have:popt-1.7 status: CURRENT: /devel/popt
    have:ORBit2-2.12.1 status: CURRENT: /devel/ORBit2
    have:libbonobo-2.8.1 status: CURRENT: /devel/libbonobo
    have:gconf2-2.8.1_1 status: CURRENT: /devel/gconf2
    have:gnomevfs2-2.8.3_3 status: CURRENT: /devel/gnomevfs2
    have:startup-notification-0.8_1 status: CURRENT: /x11/startup-notification
    have:nss-3.9.2 status: CURRENT: /security/nss
    have:gtkspell2-2.0.8_1 status: CURRENT: /textproc/gtkspell2
    have:libao-esound-0.8.5 status: CURRENT: /audio/libao
    have:gaim-1.1.2 status: CURRENT: /net/gaim
    have:dvd+rw-tools-5.21.4.10.8 status: CURRENT: /sysutils/dvd+rw-tools
    have:id3lib-3.8.3_1 status: CURRENT: /audio/id3lib
    have:linux-tiff-3.6.1_1 status: CURRENT: /graphics/linux-tiff
    have:pccts-1.33.33 status: CURRENT: /devel/pccts
    have:cdrdao-1.1.9 status: CURRENT: /sysutils/cdrdao
    have:k3b-0.11.20 status: CURRENT: /sysutils/k3b
    have:mozilla-1.7.5_1,2 status: CURRENT: /www/mozilla
    have:libcroco-0.6.0 status: CURRENT: /textproc/libcroco
    have:gtk-engines2-2.2.0_6 status: CURRENT: /x11-themes/gtk-engines2
    have:librsvg2-2.8.1_1 status: CURRENT: /graphics/librsvg2
    have:gimp-2.2.3,1 status: CURRENT: /graphics/gimp
    have:docbook-xsl-1.68.0 status: OLD
    available:docbook-xsl-1.68.1 /textproc/docbook-xsl
    have:linux-sun-jdk-1.4.2.06_1 status: CURRENT: /java/linux-sun-jdk14
    have:urwfonts-1.0 status: CURRENT: /x11-fonts/urwfonts
    have:jdk-1.4.2p7 status: CURRENT: /java/jdk14
    have:linux-flashplugin-6.0r79_2 status: CURRENT: /www/linux-flashplugin6
    have:acroread-5.10_1 status: CURRENT: /print/acroread
    have:linux-expat-1.95.5_2 status: CURRENT: /textproc/linux-expat
    have:kdebase-konqueror-nsplugins-3.3.2 status: CURRENT:
    /www/konqueror-nsplugins
    have:wxgtk-common-2.4.2_1 status: CURRENT: /x11-toolkits/wxgtk-common
    have:wxgtk2-2.4.2_5 status: CURRENT: /x11-toolkits/wxgtk2
    have:wget-1.8.2_6 status: CURRENT: /ftp/wget
    have:aMule-1.2.8_1 status: CURRENT: /net/amule
    have:xmlcatmgr-2.2 status: CURRENT: /textproc/xmlcatmgr
    have:libglade2-2.4.2 status: CURRENT: /devel/libglade2
    have:libgnomecanvas-2.8.0 status: CURRENT: /graphics/libgnomecanvas
    have:docbook-sk-4.1.2_3 status: CURRENT: /textproc/docbook-sk
    have:docbook-xml-4.2_1 status: CURRENT: /textproc/docbook-xml
    have:sdocbook-xml-4.1.2.5_2 status: CURRENT: /textproc/sdocbook-xml
    have:scrollkeeper-0.3.14_1,1 status: CURRENT: /textproc/scrollkeeper
    have:libgnome-2.8.0_2 status: CURRENT: /x11/libgnome
    have:libbonoboui-2.8.1_1 status: CURRENT: /x11-toolkits/libbonoboui
    have:gnomekeyring-0.4.1 status: CURRENT: /security/gnomekeyring
    have:gnome-icon-theme-2.8.0_1 status: CURRENT: /misc/gnome-icon-theme
    have:portmanager-0.2.6_5 status: CURRENT: /sysutils/portmanager
    have:libgnomeui-2.8.0_1 status: CURRENT: /x11-toolkits/libgnomeui
    have:curl-7.12.3_2 status: CURRENT: /ftp/curl
    have:eclipse-3.0.1_3 status: CURRENT: /java/eclipse
    have:openoffice-1.1.4 status: CURRENT: /editors/openoffice-1.1
    have:rar-3.41,1 status: CURRENT: /archivers/rar
    have:normalize-0.7.6_3 status: CURRENT: /audio/normalize
    have:sox-12.17.7 status: CURRENT: /audio/sox
    have:libdv-0.103 status: CURRENT: /multimedia/libdv
    have:xvid4conf-1.10_1 status: CURRENT: /multimedia/xvid4conf
    have:libcddb-0.9.6 status: CURRENT: /audio/libcddb
    have:vcdimager-0.7.21_1 status: CURRENT: /multimedia/vcdimager
    have:emovix-0.8.0_1 status: CURRENT: /multimedia/emovix
    have:dvdauthor-0.6.10_3 status: CURRENT: /multimedia/dvdauthor
    have:ddclient-3.6.5 status: CURRENT: /dns/ddclient
    have:libxslt-1.1.12_1 status: CURRENT: /textproc/libxslt
    have:autoconf-2.13.000227_5 status: CURRENT: /devel/autoconf213
    have:automake-1.4.6_1 status: CURRENT: /devel/automake14
    have:rpm-3.0.6_9 status: CURRENT: /archivers/rpm
    have:linux-glib2-2.2.1_2 status: CURRENT: /devel/linux-glib2
    have:linux-atk-1.2.0_2 status: CURRENT: /accessibility/linux-atk
    have:linux-jpeg-6b.15_3 status: CURRENT: /graphics/linux-jpeg
    have:linux-png-1.2.7_5 status: CURRENT: /graphics/linux-png
    have:lame-3.96.1 status: CURRENT: /audio/lame
    have:gnomedesktop-2.8.3 status: CURRENT: /x11/gnomedesktop
    have:linux-divxplayer-0.2.0_1 status: CURRENT: /multimedia/linux-divxplayer
    have:mplayer-skins-1.1.1 status: OLD
    available:mplayer-skins-1.1.1_1 /multimedia/mplayer-skins
    have:win32-codecs-3.1.0.p5,1 status: CURRENT: /multimedia/win32-codecs
    have:mplayer-gtk-esound-0.99.5_6 status: CURRENT: /multimedia/mplayer
    have:mpeg4ip-libmp4v2-1.1_1 status: CURRENT: /multimedia/mpeg4ip-libmp4v2
    have:libsndfile-1.0.11 status: CURRENT: /audio/libsndfile
    have:faad2-2.0_5,1 status: CURRENT: /audio/faad
    have:xvid-1.0.3,1 status: CURRENT: /multimedia/xvid
    have:avifile-0.7.41,2 status: CURRENT: /multimedia/avifile
    have:mjpegtools-1.6.2_2 status: CURRENT: /multimedia/mjpegtools
    have:qdvdauthor-0.0.8_1 status: CURRENT: /multimedia/qdvdauthor
    have:libxine-1.0_1 status: CURRENT: /multimedia/libxine
    have:kdegames-3.3.2_1 status: CURRENT: /games/kdegames3
    have:transcode-0.6.12_4 status: CURRENT: /multimedia/transcode
    have:gdk-pixbuf-0.22.0_3 status: CURRENT: /graphics/gdk-pixbuf
    have:xcdroast-0.98.a.15_2 status: CURRENT: /sysutils/xcdroast
    have:linux-fontconfig-2.1_2 status: CURRENT: /x11-fonts/linux-fontconfig
    have:linux-realplayer-10.0.2_1 status: CURRENT: /multimedia/linux-realplayer
    have:coreutils-5.2.1 status: CURRENT: /sysutils/coreutils
    have:ORBit-0.5.17_2 status: CURRENT: /devel/ORBit
    have:azureus-2.2.0.2_4 status: CURRENT: /net/azureus
    have:xv-3.10a_4 status: CURRENT: /graphics/xv
    have:dri-6.2.1,2 status: CURRENT: /graphics/dri
    have:texi2html-1.76_1,1 status: CURRENT: /textproc/texi2html
    have:boxtools-0.65.0 status: CURRENT: /x11-wm/boxtools
    have:xmms-wma-1.0.4_1 status: CURRENT: /audio/xmms-wma
    have:fluxbox-0.1.14_2 status: CURRENT: /x11-wm/fluxbox
    have:aterm-0.4.2 status: CURRENT: /x11/aterm
    have:py24-numeric-23.7 status: CURRENT: /math/py-numeric
    have:py24-tkinter-2.4_1 status: CURRENT: /x11-toolkits/py-tkinter
    have:py24-imaging-1.1.4 status: CURRENT: /graphics/py-imaging
    have:swig-1.1p5_9 status: CURRENT: /devel/swig11
    have:py24-opengl-2.0.1.07_1 status: CURRENT: /graphics/py-opengl
    have:py24-wxPython-2.4.2.4_3 status: CURRENT: /x11-toolkits/py-wxPython
    have:lcms-1.14,1 status: CURRENT: /graphics/lcms
    have:linuxpluginwrapper-20050119_1 status: CURRENT:
    /www/linuxpluginwrapper
    have:sudo-1.6.8.7 status: CURRENT: /security/sudo
    have:nautilus2-2.8.2_1 status: CURRENT: /x11-fm/nautilus2
    have:man2html-3.0.1_1 status: CURRENT: /textproc/man2html
    have:imlib2-1.1.2_1 status: CURRENT: /graphics/imlib2
    have:libast-0.5_1 status: CURRENT: /devel/libast
    have:eterm-0.9.2_1 status: CURRENT: /x11/eterm
    have:linux-XFree86-libs-4.3.99.902_2 status: CURRENT:
    /x11/linux-XFree86-libs
    have:fox-1.2.11 status: CURRENT: /x11-toolkits/fox-devel
    have:xfe-0.72 status: CURRENT: /x11-fm/xfe
    have:libid3tag-0.15.0b_2 status: CURRENT: /audio/libid3tag
    have:madplay-esound-0.15.0b_2 status: CURRENT: /audio/madplay
    have:mad-0.15.0b status: CURRENT: /audio/mad
    have:xine-0.99.3 status: CURRENT: /multimedia/xine
    have:gail-1.8.2 status: CURRENT: /accessibility/gail
    have:eel-2.8.2 status: CURRENT: /x11-toolkits/eel
    have:nautilus-cd-burner-2.8.6_1 status: OLD
    available:nautilus-cd-burner-2.8.7 /sysutils/nautilus-cd-burner
    have:totem-0.100 status: CURRENT: /multimedia/totem
    have:bash-2.05b.007_2 status: CURRENT: /shells/bash2
    have:libdvdnav-0.1.9 status: CURRENT: /multimedia/libdvdnav
    have:linux-pango-1.2.1_2 status: CURRENT: /x11-toolkits/linux-pango
    have:desktop-file-utils-0.10_1 status: CURRENT: /devel/desktop-file-utils
    have:linux-gdk-pixbuf-0.22.0.11.3.5_1 status: CURRENT:
    /graphics/linux-gdk-pixbuf
    have:sylpheed-1.0.1 status: CURRENT: /mail/sylpheed
    have:libdockapp-0.4.0 status: CURRENT: /x11-wm/libdockapp
    have:enscript-letter-1.6.4_1 status: CURRENT: /print/enscript-letter
    have:pnm2ppa-1.12 status: CURRENT: /print/pnm2ppa
    have:hpijs-1.7.1 status: CURRENT: /print/hpijs
    have:psutils-letter-1.17_1 status: CURRENT: /print/psutils-letter
    have:a2ps-letterdj-4.13b_3 status: CURRENT: /print/a2ps-letterdj
    have:p5-URI-1.35 status: CURRENT: /net/p5-URI
    have:p5-HTML-Tagset-3.04 status: CURRENT: /www/p5-HTML-Tagset
    have:p5-HTML-Pr-3.45 status: CURRENT: /www/p5-HTML-Pr
    have:p5-libwww-5.79_1 status: CURRENT: /www/p5-libwww
    have:weblint-1.020 status: CURRENT: /www/weblint
    have:html2ps-letter-1.0_2 status: CURRENT: /print/html2ps-letter
    have:apsfilter-7.2.6 status: CURRENT: /print/apsfilter
    have:foomatic-db-20040107_2 status: CURRENT: /print/foomatic-db
    have:libfpx-1.2.0.11 status: CURRENT: /graphics/libfpx
    have:libpaper-1.1.14.3 status: CURRENT: /print/libpaper
    have:linux-gtk2-2.2.1_3 status: CURRENT: /x11-toolkits/linux-gtk2
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for installed ports built with old
    dependencies
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    OLD kdeutils-3.3.2 built with old dependency
    samba-libsmbclient-3.0.10_1, current dependency is
    samba-libsmbclient-3.0.11_1
    OLD kde-3.3.2 built with old dependency samba-libsmbclient-3.0.10_1,
    current dependency is samba-libsmbclient-3.0.11_1
    OLD mplayer-gtk-esound-0.99.5_6 built with old dependency
    gnutls-1.0.21_1, current dependency is gnutls-1.0.24
    OLD gnupg-devel-1.9.14_1 built with old dependency gnupg-1.4.0, current
    dependency is gnupg-1.4.0_1
    ------------------------------------------------------------------------
    status report finished
    ================================================== ======================
    upgrade 0.2.6_5 info: ignoring linux_base-8-8.0_6, reason: failed during
    (5) emergancy restore
    checkForOldDepencies 0.2.6_5 skip: rpm-3.0.6_9 has a dependency
    libiconv-1.9.2_1 that needs to be updated first
    upgrade 0.2.6_5 info: ignoring cjk-cdrtools-2.01.20041227, reason:
    failed during (5) emergancy restore
    upgrade 0.2.6_5 WARNING: This is the second time libiconv-1.9.2_1 is
    being built,
    one more attempt and it will be marked as ignore.

    libiconv-1.9.2_1 not found in dependencyPortsDb property->fieldChildPortName
    Assertion failed: (0), function upgrade, file PMGRrUpgrade.c, line 271.
    Abort trap (core dumped)
    su-2.05b#

    Brian John Guest

  3. #3

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    On Tuesday 15 February 2005 08:05 pm, you wrote:
    > Michael C. Shultz wrote:
    > >On Tuesday 15 February 2005 10:15 am, Brian John wrote:
    > >>When I try to upgrade my ports I just get error messages. Can
    > >>someone help me out? I'll paste the output below.
    > >>
    > >>Thanks
    > >>
    > >>/Brian
    > >>
    > >>su-2.05b# portmanager -u
    > >>portmanager 0.2.6_5 info: executing rm -f
    > >>/usr/local/share/portmanager/ports_cache.db
    > >>-------------------------------------------------------------------
    > >>-- --- PMGRrStatus 0.2.6_5 info: Creating inital data bases
    > >>-------------------------------------------------------------------
    > >>-- ---
    > >>-------------------------------------------------------------------
    > >>-- --- PMGRrStatus 0.2.6_5 info: looking for missing dependent
    > >> ports
    > >> ------------------------------------------------------------------
    > >>--- ---
    > >>-------------------------------------------------------------------
    > >>-- --- -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8]
    > >> may be a dependency of linuxpluginwrapper-20050119_1
    > >>verifing dependency status of linux_base-8-8.0_6 (may take awhile)
    > >> by executing command:
    > >>cd /usr/ports/www/linuxpluginwrapper; make all-depends-list
    > >> * * * *
    > >>linux_base-8-8.0_6 is indeed a missing dependency, adding to list
    > >> of things to be updated
    > >> * * * *
    > >>checking for linux_base-8-8.0_6 dependencies that also may not be
    > >>installed listing linux_base-8-8.0_6's known dependencies by
    > >>executing command: cd /usr/ports/emulators/linux_base-8; make
    > >>
    > >>
    > >>
    > >>
    > >>
    > >>all-depends-list * * * *
    > >>dependency -=>archivers/rpm
    > >> executing: cd /usr/portsarchivers/rpm; make describe
    > >>cd: can't cd to /usr/portsarchivers/rpm
    > >>make: don't know how to make describe. Stop
    > >
    > >The path /usr/portsarchivers/rpm is mangled here. Sorry
    > >about this it looks like a portmanager bug :( I'll work on a fix
    > >right away.
    > >
    > >-Mike
    >
    > I tried your fix but it still doesn't seem to be working. The output
    > is below.
    >
    > Thanks very much for your help
    >
    > /Brian
    Brian, to get you past the problem all you need do is

    cd /usr/ports/emulators/linux_base-rh-9
    make deinstall
    cd ~
    portmanager -u

    emulators/linux_base-rh-9 is conflicting with emulators/linux_base-8

    This output you sent just identified a bug I've been trying to track
    down for ages! Thanks for sending it! It will be a few days to fix
    it but I think you will be ok when your remove /linux_base-rh-9.
    Let me know how it goes ok?

    -Mike


    Michael C. Shultz Guest

  4. #4

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    Michael C. Shultz wrote:
    >On Tuesday 15 February 2005 08:05 pm, you wrote:
    >
    >
    >>Michael C. Shultz wrote:
    >>
    >>
    >>>On Tuesday 15 February 2005 10:15 am, Brian John wrote:
    >>>
    >>>
    >>>>When I try to upgrade my ports I just get error messages. Can
    >>>>someone help me out? I'll paste the output below.
    >>>>
    >>>>Thanks
    >>>>
    >>>>/Brian
    >>>>
    >>>>su-2.05b# portmanager -u
    >>>>portmanager 0.2.6_5 info: executing rm -f
    >>>>/usr/local/share/portmanager/ports_cache.db
    >>>>-------------------------------------------------------------------
    >>>>-- --- PMGRrStatus 0.2.6_5 info: Creating inital data bases
    >>>>-------------------------------------------------------------------
    >>>>-- ---
    >>>>-------------------------------------------------------------------
    >>>>-- --- PMGRrStatus 0.2.6_5 info: looking for missing dependent
    >>>>ports
    >>>>------------------------------------------------------------------
    >>>>--- ---
    >>>>-------------------------------------------------------------------
    >>>>-- --- -=>MISSING<=- linux_base-8-8.0_6[/emulators/linux_base-8]
    >>>>may be a dependency of linuxpluginwrapper-20050119_1
    >>>>verifing dependency status of linux_base-8-8.0_6 (may take awhile)
    >>>>by executing command:
    >>>>cd /usr/ports/www/linuxpluginwrapper; make all-depends-list
    >>>> * * * *
    >>>>linux_base-8-8.0_6 is indeed a missing dependency, adding to list
    >>>>of things to be updated
    >>>> * * * *
    >>>>checking for linux_base-8-8.0_6 dependencies that also may not be
    >>>>installed listing linux_base-8-8.0_6's known dependencies by
    >>>>executing command: cd /usr/ports/emulators/linux_base-8; make
    >>>>
    >>>>
    >>>>
    >>>>
    >>>>
    >>>>all-depends-list * * * *
    >>>>dependency -=>archivers/rpm
    >>>> executing: cd /usr/portsarchivers/rpm; make describe
    >>>>cd: can't cd to /usr/portsarchivers/rpm
    >>>>make: don't know how to make describe. Stop
    >>>>
    >>>>
    >>>The path /usr/portsarchivers/rpm is mangled here. Sorry
    >>>about this it looks like a portmanager bug :( I'll work on a fix
    >>>right away.
    >>>
    >>>-Mike
    >>>
    >>>
    >>I tried your fix but it still doesn't seem to be working. The output
    >>is below.
    >>
    >>Thanks very much for your help
    >>
    >>/Brian
    >>
    >>
    >
    >Brian, to get you past the problem all you need do is
    >
    >cd /usr/ports/emulators/linux_base-rh-9
    >make deinstall
    >cd ~
    >portmanager -u
    >
    >emulators/linux_base-rh-9 is conflicting with emulators/linux_base-8
    >
    >This output you sent just identified a bug I've been trying to track
    >down for ages! Thanks for sending it! It will be a few days to fix
    >it but I think you will be ok when your remove /linux_base-rh-9.
    >Let me know how it goes ok?
    >
    >-Mike
    >
    >
    >_______________________________________________
    >freebsd-questionsfreebsd.org mailing list
    >[url]http://lists.freebsd.org/mailman/listinfo/freebsd-questions[/url]
    >To unsubscribe, send any mail to "freebsd-questions-unsubscribefreebsd.org"
    >
    >
    >
    I tried that and I am still having problems. Output is below.

    Thanks

    /Brian

    install -o root -g wheel -m 444 ./iconv_open.3.html
    /usr/local/share/doc/libiconv/iconv_open.3.html
    ===> Compressing manual pages for libiconv-1.9.2_1
    ===> Running ldconfig
    /sbin/ldconfig -m /usr/local/lib
    ===> Registering installation for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    deleting backup copy, installation of updated /converters/libiconv
    successful
    PMGRrDoUpgrade 0.2.6_5 command: #6 of 8 cd /tmp; rm -f libiconv-1.9.2_1.tgz
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    making package of updated /converters/libiconv
    PMGRrDoUpgrade 0.2.6_5 command: #7 of 8 cd
    /usr/ports/converters/libiconv; make package
    ------------------------------------------------------------------------
    ===> Building package for libiconv-1.9.2_1
    Creating package /usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz
    Registering depends:.
    Creating bzip'd tar ball in
    '/usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz'
    ------------------------------------------------------------------------
    terminal clean of work directories
    PMGRrDoUpgrade 0.2.6_5 command: #8 of 8 cd
    /usr/ports/converters/libiconv; make clean
    ------------------------------------------------------------------------
    ===> Cleaning for libtool-1.5.10
    ===> Cleaning for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: Creating inital data bases
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for missing dependent ports
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-sun-jdk-1.4.2.06_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/java/linux-sun-jdk14; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-sun-jdk-1.4.2.06_1
    forcing rebuild of linux-sun-jdk-1.4.2.06_1 to fix
    /var/db/pkg/linux-sun-jdk-1.4.2.06_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-sun-jdk-1.4.2.06_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-sun-jdk-1.4.2.06_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-flashplugin-6.0r79_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/www/linux-flashplugin6; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-flashplugin-6.0r79_2
    forcing rebuild of linux-flashplugin-6.0r79_2 to fix
    /var/db/pkg/linux-flashplugin-6.0r79_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-flashplugin-6.0r79_2 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-flashplugin-6.0r79_2 then
    review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of acroread-5.10_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/print/acroread; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of acroread-5.10_1
    forcing rebuild of acroread-5.10_1 to fix
    /var/db/pkg/acroread-5.10_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new acroread-5.10_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of acroread-5.10_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-png-1.2.7_5
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/graphics/linux-png; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-png-1.2.7_5
    forcing rebuild of linux-png-1.2.7_5 to fix
    /var/db/pkg/linux-png-1.2.7_5/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new linux-png-1.2.7_5
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-png-1.2.7_5 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-fontconfig-2.1_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/x11-fonts/linux-fontconfig; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-fontconfig-2.1_2
    forcing rebuild of linux-fontconfig-2.1_2 to fix
    /var/db/pkg/linux-fontconfig-2.1_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new linux-fontconfig-2.1_2
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-fontconfig-2.1_2 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-realplayer-10.0.2_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/multimedia/linux-realplayer; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-realplayer-10.0.2_1
    forcing rebuild of linux-realplayer-10.0.2_1 to fix
    /var/db/pkg/linux-realplayer-10.0.2_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-realplayer-10.0.2_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-realplayer-10.0.2_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-XFree86-libs-4.3.99.902_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/x11/linux-XFree86-libs; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-XFree86-libs-4.3.99.902_2
    forcing rebuild of linux-XFree86-libs-4.3.99.902_2 to fix
    /var/db/pkg/linux-XFree86-libs-4.3.99.902_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-XFree86-libs-4.3.99.902_2 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-XFree86-libs-4.3.99.902_2
    then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be
    a dependency of nautilus-cd-burner-2.8.6_1
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take
    awhile) by executing command:
    cd /usr/ports/sysutils/nautilus-cd-burner; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to
    list of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not
    be installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing
    command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be
    a dependency of totem-0.100
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take
    awhile) by executing command:
    cd /usr/ports/multimedia/totem; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to
    list of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not
    be installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing
    command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-gdk-pixbuf-0.22.0.11.3.5_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/graphics/linux-gdk-pixbuf; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of
    linux-gdk-pixbuf-0.22.0.11.3.5_1
    forcing rebuild of linux-gdk-pixbuf-0.22.0.11.3.5_1 to fix
    /var/db/pkg/linux-gdk-pixbuf-0.22.0.11.3.5_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-gdk-pixbuf-0.22.0.11.3.5_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-gdk-pixbuf-0.22.0.11.3.5_1
    then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for old installed ports
    ------------------------------------------------------------------------
    have:expat-1.95.8 status: CURRENT: /textproc/expat2
    have:freetype2-2.1.7_4 status: CURRENT: /print/freetype2
    have:pkgconfig-0.15.0_1 status: CURRENT: /devel/pkgconfig
    have:fontconfig-2.2.3,1 status: CURRENT: /x11-fonts/fontconfig
    have:imake-6.8.1 status: CURRENT: /devel/imake-6
    have:xorg-libraries-6.8.1_1 status: CURRENT: /x11/xorg-libraries
    have:libXft-2.1.6 status: CURRENT: /x11-fonts/libXft
    have:png-1.2.8_1 status: CURRENT: /graphics/png
    have:xterm-200 status: CURRENT: /x11/xterm
    have:xorg-clients-6.8.1_1 status: CURRENT: /x11/xorg-clients
    have:xorg-manpages-6.8.1 status: CURRENT: /x11/xorg-manpages
    have:xorg-doents-6.8.1 status: CURRENT: /x11/xorg-doents
    have:xorg-server-6.8.1_2 status: CURRENT: /x11-servers/xorg-server
    have:xorg-nestserver-6.8.1 status: CURRENT: /x11-servers/xorg-nestserver
    have:xorg-printserver-6.8.1 status: CURRENT:
    /x11-servers/xorg-printserver
    have:xorg-vfbserver-6.8.1 status: CURRENT: /x11-servers/xorg-vfbserver
    have:qmake-3.3.4 status: CURRENT: /devel/qmake
    have:perl-5.8.6_2 status: CURRENT: /lang/perl5.8
    have:xorg-fonts-encodings-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-encodings
    have:xorg-fonts-miscbitmaps-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-miscbitmaps
    have:xorg-fonts-75dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-75dpi
    have:xorg-fonts-100dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-100dpi
    have:xorg-fonts-cyrillic-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-cyrillic
    have:xorg-fonts-type1-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-type1
    have:bitstream-vera-1.10 status: OLD
    available:bitstream-vera-1.10_1 /x11-fonts/bitstream-vera
    have:xorg-fonts-truetype-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-truetype
    have:xorg-fontserver-6.8.1_2 status: CURRENT: /x11-servers/xorg-fontserver
    have:libtool-1.3.5_2 status: CURRENT: /devel/libtool13
    have:jpeg-6b_3 status: CURRENT: /graphics/jpeg
    have:tiff-3.7.1_2 status: CURRENT: /graphics/tiff
    have:gnupg-1.4.0_1 status: CURRENT: /security/gnupg
    have:libmng-1.0.8 status: CURRENT: /graphics/libmng
    have:libtool-1.5.10 status: CURRENT: /devel/libtool15
    have:libiconv-1.9.2_1 status: CURRENT: /converters/libiconv
    have:nas-1.7 status: CURRENT: /audio/nas
    have:gettext-0.14.1 status: CURRENT: /devel/gettext
    have:gmake-3.80_2 status: CURRENT: /devel/gmake
    have:qt-3.3.4 status: CURRENT: /x11-toolkits/qt33
    have:m4-1.4.1 status: CURRENT: /devel/m4
    have:p5-gettext-1.03 status: CURRENT: /devel/p5-Locale-gettext
    have:help2man-1.34.2 status: CURRENT: /misc/help2man
    have:autoconf-2.59_2 status: CURRENT: /devel/autoconf259
    have:samba-libsmbclient-3.0.11_1 status: CURRENT: /net/samba-libsmbclient
    have:libmad-0.15.1b_1 status: CURRENT: /audio/libmad
    have:libart_lgpl2-2.3.17 status: CURRENT: /graphics/libart_lgpl2
    have:libaudiofile-0.2.6 status: CURRENT: /audio/libaudiofile
    have:libxml2-2.6.17 status: CURRENT: /textproc/libxml2
    have:gnutls-1.0.24 status: CURRENT: /security/gnutls
    have:glib-2.4.8 status: CURRENT: /devel/glib20
    have:libvorbis-1.1.0_1,3 status: CURRENT: /audio/libvorbis
    have:arts-1.3.2,1 status: CURRENT: /audio/arts
    have:aspell-0.60.2 status: CURRENT: /textproc/aspell
    have:cups-base-1.1.23.0_3 status: CURRENT: /print/cups-base
    have:autoconf-2.53_3 status: CURRENT: /devel/autoconf253
    have:automake-1.5_2,1 status: CURRENT: /devel/automake15
    have:fam-2.6.9_6 status: CURRENT: /devel/fam
    have:gengetopt-2.11 status: CURRENT: /devel/gengetopt
    have:libidn-0.5.13 status: CURRENT: /devel/libidn
    have:unzip-5.51 status: CURRENT: /archivers/unzip
    have:jasper-1.701.0 status: CURRENT: /graphics/jasper
    have:rpm2cpio-1.2_2 status: CURRENT: /archivers/rpm2cpio
    have:pcre-5.0 status: CURRENT: /devel/pcre
    have:openldap-client-2.2.23 status: CURRENT: /net/openldap22-client
    have:kdelibs-3.3.2_4 status: CURRENT: /x11/kdelibs3
    have:artswrapper-1.2.1_1 status: CURRENT: /audio/artswrapper
    have:kdebase-3.3.2_1 status: CURRENT: /x11/kdebase3
    have:cdrtools-2.01 status: CURRENT: /sysutils/cdrtools
    have:net-snmp-5.2.1 status: CURRENT: /net-mgmt/net-snmp
    have:libgpg-error-1.0_1 status: CURRENT: /security/libgpg-error
    have:gtk-2.4.14_2 status: CURRENT: /x11-toolkits/gtk20
    have:gsfonts-8.11_2 status: CURRENT: /print/gsfonts
    have:ghostscript-gnu-7.07_12 status: CURRENT: /print/ghostscript-gnu
    have:xpdf-3.00_6 status: CURRENT: /graphics/xpdf
    have:jbigkit-1.6 status: CURRENT: /graphics/jbigkit
    have:libwmf-0.2.8.3 status: CURRENT: /graphics/libwmf
    have:OpenEXR-1.2.1_1 status: CURRENT: /graphics/OpenEXR
    have:mpeg2codec-1.2_1 status: CURRENT: /multimedia/mpeg2codec
    have:ImageMagick-6.1.9.2 status: CURRENT: /graphics/ImageMagick
    have:bison-1.75_2 status: CURRENT: /devel/bison
    have:tcl-8.4.7,1 status: CURRENT: /lang/tcl84
    have:tk-8.4.7,2 status: CURRENT: /x11-toolkits/tk84
    have:graphviz-1.16 status: CURRENT: /graphics/graphviz
    have:libcdio-0.72 status: CURRENT: /sysutils/libcdio
    have:libgsf-1.10.1 status: CURRENT: /devel/libgsf
    have:wv2-0.2.2 status: CURRENT: /textproc/wv2
    have:WordNet-2.0 status: CURRENT: /textproc/wordnet
    have:openslp-1.0.11_1 status: CURRENT: /net/openslp
    have:qca-tls-1.0_1 status: CURRENT: /security/qca-tls
    have:fribidi-0.10.4_1 status: CURRENT: /converters/fribidi
    have:libglut-6.0.1 status: CURRENT: /graphics/libglut
    have:t1lib-5.0.1,1 status: CURRENT: /devel/t1lib
    have:open-motif-2.2.3_1 status: CURRENT: /x11-toolkits/open-motif
    have:koffice-1.3.5_2,1 status: CURRENT: /editors/koffice-kde3
    have:imlib-1.9.15_2 status: CURRENT: /graphics/imlib
    have:glib-1.2.10_11 status: CURRENT: /devel/glib12
    have:gtk-1.2.10_12 status: CURRENT: /x11-toolkits/gtk12
    have:python-2.4_1 status: CURRENT: /lang/python
    have:libungif-4.1.3 status: CURRENT: /graphics/libungif
    have:nasm-0.98.39,1 status: CURRENT: /devel/nasm
    have:kdegraphics-kuickshow-3.3.2 status: CURRENT: /graphics/kuickshow
    have:libusb-0.1.7_1 status: CURRENT: /devel/libusb
    have:gnokii-0.6.4,1 status: CURRENT: /comms/gnokii
    have:libgphoto2-2.1.5 status: CURRENT: /graphics/libgphoto2
    have:kdegraphics-kamera-3.3.2 status: CURRENT: /graphics/kamera
    have:kdegraphics-3.3.2_2 status: CURRENT: /graphics/kdegraphics3
    have:javavmwrapper-2.0_3 status: CURRENT: /java/javavmwrapper
    have:flac-1.1.0_4 status: CURRENT: /audio/flac
    have:cdparanoia-3.9.8_7 status: CURRENT: /audio/cdparanoia
    have:libmusicbrainz-2.1.1 status: CURRENT: /audio/libmusicbrainz
    have:speex-1.0.4_1,1 status: CURRENT: /audio/speex
    have:libtunepimp-0.3.0_1 status: CURRENT: /audio/libtunepimp
    have:djbfft-0.76_1 status: CURRENT: /math/djbfft
    have:aalib-1.4.r5_1 status: CURRENT: /graphics/aalib
    have:svgalib-1.4.3_4 status: CURRENT: /graphics/svgalib
    have:sdl-1.2.8,2 status: CURRENT: /devel/sdl12
    have:taglib-1.3.1 status: CURRENT: /audio/taglib
    have:liba52-0.7.4_1 status: CURRENT: /audio/liba52
    have:libdvdcss-1.2.8_1 status: CURRENT: /multimedia/libdvdcss
    have:libdvdread-0.9.4_1 status: CURRENT: /multimedia/libdvdread
    have:gcc-3.2.3_3 status: CURRENT: /lang/gcc32
    have:kdemultimedia-mpeglib_artsplug-3.3.2 status: CURRENT:
    /audio/mpeglib_artsplug
    have:kdemultimedia-3.3.2 status: CURRENT: /multimedia/kdemultimedia3
    have:pilot-link-0.11.8_3 status: CURRENT: /palm/pilot-link
    have:libmal-0.40 status: CURRENT: /palm/libmal
    have:esound-0.2.35_1 status: CURRENT: /audio/esound
    have:libassuan-0.6.9 status: CURRENT: /security/libassuan
    have:db4-4.0.14_1,1 status: CURRENT: /databases/db4
    have:kdesdk-3.3.2 status: CURRENT: /devel/kdesdk3
    have:automake-1.9.4 status: CURRENT: /devel/automake19
    have:kdevelop-3.1.2 status: CURRENT: /devel/kdevelop
    have:kdeedu-3.3.2 status: CURRENT: /misc/kdeedu3
    have:kdeadmin-3.3.2 status: CURRENT: /sysutils/kdeadmin3
    have:tidy-20000804_2 status: CURRENT: /www/tidy
    have:kdeutils-3.3.2 status: CURRENT: /misc/kdeutils3
    have:kdemultimedia-xine_artsplugin-3.3.2_1 status: CURRENT:
    /multimedia/xine_artsplugin
    have:kdewebdev-3.3.2,2 status: CURRENT: /www/kdewebdev
    have:kdetoys-3.3.2 status: CURRENT: /x11-clocks/kdetoys3
    have:kdeartwork-3.3.2 status: CURRENT: /x11-themes/kdeartwork3
    have:kdeaccessibility-3.3.2 status: CURRENT:
    /accessibility/kdeaccessibility
    have:kde-3.3.2 status: CURRENT: /x11/kde3
    have:zip-2.3_2 status: CURRENT: /archivers/zip
    have:p5-XML-Pr-2.34_1 status: CURRENT: /textproc/p5-XML-Pr
    have:intltool-0.32.1 status: CURRENT: /textproc/intltool
    have:nspr-4.4.1_1 status: CURRENT: /devel/nspr
    have:shared-mime-info-0.15_7 status: CURRENT: /misc/shared-mime-info
    have:ruby-1.8.2_2 status: CURRENT: /lang/ruby18
    have:ruby18-bdb1-0.2.2 status: CURRENT: /databases/ruby-bdb1
    have:portupgrade-20041226_1 status: CURRENT: /sysutils/portupgrade
    have:hicolor-icon-theme-0.5 status: CURRENT: /misc/hicolor-icon-theme
    have:apache-ant-1.6.2 status: CURRENT: /devel/apache-ant
    have:libIDL-0.8.5 status: CURRENT: /devel/libIDL
    have:bash-3.0.16_1 status: CURRENT: /shells/bash
    have:libexif-0.6.10 status: CURRENT: /graphics/libexif
    have:grub-0.95 status: CURRENT: /sysutils/grub
    have:atk-1.8.0 status: CURRENT: /accessibility/atk
    have:mtools-3.9.8_4 status: CURRENT: /emulators/mtools
    have:ezm3-1.2 status: CURRENT: /lang/ezm3
    have:cvsup-16.1h status: CURRENT: /net/cvsup
    have:pango-1.6.0 status: CURRENT: /x11-toolkits/pango
    have:gnomehier-1.0_22 status: CURRENT: /misc/gnomehier
    have:thunderbird-1.0_1 status: CURRENT: /mail/thunderbird
    have:libogg-1.1.2_1,3 status: CURRENT: /audio/libogg
    have:firefox-1.0_7,1 status: CURRENT: /www/firefox
    have:libltdl-1.5.10 status: CURRENT: /devel/libltdl15
    have:kdehier-1.0_4 status: CURRENT: /misc/kdehier
    have:kdenetwork-3.3.2 status: CURRENT: /net/kdenetwork3
    have:libfame-0.9.1_1 status: CURRENT: /multimedia/libfame
    have:libgcrypt-1.2.1 status: CURRENT: /security/libgcrypt
    have:libksba-0.9.10_1 status: CURRENT: /security/libksba
    have:pth-2.0.3 status: CURRENT: /devel/pth
    have:dirmngr-0.9.0_1 status: CURRENT: /security/dirmngr
    have:gpgme-1.0.2 status: CURRENT: /security/gpgme
    have:kdepim-3.3.2 status: CURRENT: /deskutils/kdepim3
    have:gnupg-devel-1.9.14_1 status: CURRENT: /security/gnupg-devel
    have:libmikmod-esound-3.1.11 status: CURRENT: /audio/libmikmod
    have:gnomemimedata-2.4.2 status: CURRENT: /misc/gnomemimedata
    have:libijs-0.35 status: CURRENT: /print/libijs
    have:gimp-print-4.2.7_1 status: CURRENT: /print/gimp-print
    have:xmms-esound-1.2.10_2 status: CURRENT: /multimedia/xmms
    have:linc-1.0.3_2 status: CURRENT: /net/linc
    have:popt-1.7 status: CURRENT: /devel/popt
    have:ORBit2-2.12.1 status: CURRENT: /devel/ORBit2
    have:libbonobo-2.8.1 status: CURRENT: /devel/libbonobo
    have:gconf2-2.8.1_1 status: CURRENT: /devel/gconf2
    have:gnomevfs2-2.8.3_3 status: CURRENT: /devel/gnomevfs2
    have:startup-notification-0.8_1 status: CURRENT: /x11/startup-notification
    have:nss-3.9.2 status: CURRENT: /security/nss
    have:gtkspell2-2.0.8_1 status: CURRENT: /textproc/gtkspell2
    have:libao-esound-0.8.5 status: CURRENT: /audio/libao
    have:gaim-1.1.2 status: CURRENT: /net/gaim
    have:dvd+rw-tools-5.21.4.10.8 status: CURRENT: /sysutils/dvd+rw-tools
    have:id3lib-3.8.3_1 status: CURRENT: /audio/id3lib
    have:linux-tiff-3.6.1_1 status: CURRENT: /graphics/linux-tiff
    have:pccts-1.33.33 status: CURRENT: /devel/pccts
    have:cdrdao-1.1.9 status: CURRENT: /sysutils/cdrdao
    have:k3b-0.11.20 status: CURRENT: /sysutils/k3b
    have:mozilla-1.7.5_1,2 status: CURRENT: /www/mozilla
    have:libcroco-0.6.0 status: CURRENT: /textproc/libcroco
    have:gtk-engines2-2.2.0_6 status: CURRENT: /x11-themes/gtk-engines2
    have:librsvg2-2.8.1_1 status: CURRENT: /graphics/librsvg2
    have:gimp-2.2.3,1 status: CURRENT: /graphics/gimp
    have:docbook-xsl-1.68.0 status: OLD
    available:docbook-xsl-1.68.1 /textproc/docbook-xsl
    have:linux-sun-jdk-1.4.2.06_1 status: CURRENT: /java/linux-sun-jdk14
    have:urwfonts-1.0 status: CURRENT: /x11-fonts/urwfonts
    have:jdk-1.4.2p7 status: CURRENT: /java/jdk14
    have:linux-flashplugin-6.0r79_2 status: CURRENT: /www/linux-flashplugin6
    have:acroread-5.10_1 status: CURRENT: /print/acroread
    have:linux_base-8-8.0_6 status: CURRENT: /emulators/linux_base-8
    have:kdebase-konqueror-nsplugins-3.3.2 status: CURRENT:
    /www/konqueror-nsplugins
    have:wxgtk-common-2.4.2_1 status: CURRENT: /x11-toolkits/wxgtk-common
    have:wxgtk2-2.4.2_5 status: CURRENT: /x11-toolkits/wxgtk2
    have:wget-1.8.2_6 status: CURRENT: /ftp/wget
    have:aMule-1.2.8_1 status: CURRENT: /net/amule
    have:xmlcatmgr-2.2 status: CURRENT: /textproc/xmlcatmgr
    have:libglade2-2.4.2 status: CURRENT: /devel/libglade2
    have:libgnomecanvas-2.8.0 status: CURRENT: /graphics/libgnomecanvas
    have:docbook-sk-4.1.2_3 status: CURRENT: /textproc/docbook-sk
    have:docbook-xml-4.2_1 status: CURRENT: /textproc/docbook-xml
    have:sdocbook-xml-4.1.2.5_2 status: CURRENT: /textproc/sdocbook-xml
    have:scrollkeeper-0.3.14_1,1 status: CURRENT: /textproc/scrollkeeper
    have:libgnome-2.8.0_2 status: CURRENT: /x11/libgnome
    have:libbonoboui-2.8.1_1 status: CURRENT: /x11-toolkits/libbonoboui
    have:gnomekeyring-0.4.1 status: CURRENT: /security/gnomekeyring
    have:gnome-icon-theme-2.8.0_1 status: CURRENT: /misc/gnome-icon-theme
    have:portmanager-0.2.6_5 status: CURRENT: /sysutils/portmanager
    have:libgnomeui-2.8.0_1 status: CURRENT: /x11-toolkits/libgnomeui
    have:curl-7.12.3_2 status: CURRENT: /ftp/curl
    have:eclipse-3.0.1_3 status: CURRENT: /java/eclipse
    have:openoffice-1.1.4 status: CURRENT: /editors/openoffice-1.1
    have:rar-3.41,1 status: CURRENT: /archivers/rar
    have:normalize-0.7.6_3 status: CURRENT: /audio/normalize
    have:sox-12.17.7 status: CURRENT: /audio/sox
    have:libdv-0.103 status: CURRENT: /multimedia/libdv
    have:xvid4conf-1.10_1 status: CURRENT: /multimedia/xvid4conf
    have:libcddb-0.9.6 status: CURRENT: /audio/libcddb
    have:vcdimager-0.7.21_1 status: CURRENT: /multimedia/vcdimager
    have:emovix-0.8.0_1 status: CURRENT: /multimedia/emovix
    have:dvdauthor-0.6.10_3 status: CURRENT: /multimedia/dvdauthor
    have:ddclient-3.6.5 status: CURRENT: /dns/ddclient
    have:libxslt-1.1.12_1 status: CURRENT: /textproc/libxslt
    have:autoconf-2.13.000227_5 status: CURRENT: /devel/autoconf213
    have:automake-1.4.6_1 status: CURRENT: /devel/automake14
    have:rpm-3.0.6_9 status: CURRENT: /archivers/rpm
    have:linux-glib2-2.2.1_2 status: CURRENT: /devel/linux-glib2
    have:linux-atk-1.2.0_2 status: CURRENT: /accessibility/linux-atk
    have:linux-jpeg-6b.15_3 status: CURRENT: /graphics/linux-jpeg
    have:linux-png-1.2.7_5 status: CURRENT: /graphics/linux-png
    have:lame-3.96.1 status: CURRENT: /audio/lame
    have:gnomedesktop-2.8.3 status: CURRENT: /x11/gnomedesktop
    have:linux-divxplayer-0.2.0_1 status: CURRENT: /multimedia/linux-divxplayer
    have:mplayer-skins-1.1.1 status: OLD
    available:mplayer-skins-1.1.1_1 /multimedia/mplayer-skins
    have:win32-codecs-3.1.0.p5,1 status: CURRENT: /multimedia/win32-codecs
    have:mplayer-gtk-esound-0.99.5_6 status: CURRENT: /multimedia/mplayer
    have:mpeg4ip-libmp4v2-1.1_1 status: CURRENT: /multimedia/mpeg4ip-libmp4v2
    have:libsndfile-1.0.11 status: CURRENT: /audio/libsndfile
    have:faad2-2.0_5,1 status: CURRENT: /audio/faad
    have:xvid-1.0.3,1 status: CURRENT: /multimedia/xvid
    have:avifile-0.7.41,2 status: CURRENT: /multimedia/avifile
    have:mjpegtools-1.6.2_2 status: CURRENT: /multimedia/mjpegtools
    have:qdvdauthor-0.0.8_1 status: CURRENT: /multimedia/qdvdauthor
    have:libxine-1.0_1 status: CURRENT: /multimedia/libxine
    have:kdegames-3.3.2_1 status: CURRENT: /games/kdegames3
    have:transcode-0.6.12_4 status: CURRENT: /multimedia/transcode
    have:gdk-pixbuf-0.22.0_3 status: CURRENT: /graphics/gdk-pixbuf
    have:xcdroast-0.98.a.15_2 status: CURRENT: /sysutils/xcdroast
    have:linux-fontconfig-2.1_2 status: CURRENT: /x11-fonts/linux-fontconfig
    have:linux-realplayer-10.0.2_1 status: CURRENT: /multimedia/linux-realplayer
    have:coreutils-5.2.1 status: CURRENT: /sysutils/coreutils
    have:ORBit-0.5.17_2 status: CURRENT: /devel/ORBit
    have:azureus-2.2.0.2_4 status: CURRENT: /net/azureus
    have:xv-3.10a_4 status: CURRENT: /graphics/xv
    have:dri-6.2.1,2 status: CURRENT: /graphics/dri
    have:texi2html-1.76_1,1 status: CURRENT: /textproc/texi2html
    have:boxtools-0.65.0 status: CURRENT: /x11-wm/boxtools
    have:xmms-wma-1.0.4_1 status: CURRENT: /audio/xmms-wma
    have:fluxbox-0.1.14_2 status: CURRENT: /x11-wm/fluxbox
    have:aterm-0.4.2 status: CURRENT: /x11/aterm
    have:py24-numeric-23.7 status: CURRENT: /math/py-numeric
    have:py24-tkinter-2.4_1 status: CURRENT: /x11-toolkits/py-tkinter
    have:py24-imaging-1.1.4 status: CURRENT: /graphics/py-imaging
    have:swig-1.1p5_9 status: CURRENT: /devel/swig11
    have:py24-opengl-2.0.1.07_1 status: CURRENT: /graphics/py-opengl
    have:py24-wxPython-2.4.2.4_3 status: CURRENT: /x11-toolkits/py-wxPython
    have:lcms-1.14,1 status: CURRENT: /graphics/lcms
    have:linuxpluginwrapper-20050119_1 status: CURRENT:
    /www/linuxpluginwrapper
    have:sudo-1.6.8.7 status: CURRENT: /security/sudo
    have:nautilus2-2.8.2_1 status: CURRENT: /x11-fm/nautilus2
    have:man2html-3.0.1_1 status: CURRENT: /textproc/man2html
    have:imlib2-1.1.2_1 status: CURRENT: /graphics/imlib2
    have:libast-0.5_1 status: CURRENT: /devel/libast
    have:eterm-0.9.2_1 status: CURRENT: /x11/eterm
    have:linux-XFree86-libs-4.3.99.902_2 status: CURRENT:
    /x11/linux-XFree86-libs
    have:fox-1.2.11 status: CURRENT: /x11-toolkits/fox-devel
    have:xfe-0.72 status: CURRENT: /x11-fm/xfe
    have:libid3tag-0.15.0b_2 status: CURRENT: /audio/libid3tag
    have:madplay-esound-0.15.0b_2 status: CURRENT: /audio/madplay
    have:mad-0.15.0b status: CURRENT: /audio/mad
    have:xine-0.99.3 status: CURRENT: /multimedia/xine
    have:gail-1.8.2 status: CURRENT: /accessibility/gail
    have:eel-2.8.2 status: CURRENT: /x11-toolkits/eel
    have:nautilus-cd-burner-2.8.6_1 status: OLD
    available:nautilus-cd-burner-2.8.7 /sysutils/nautilus-cd-burner
    have:totem-0.100 status: CURRENT: /multimedia/totem
    have:bash-2.05b.007_2 status: CURRENT: /shells/bash2
    have:libdvdnav-0.1.9 status: CURRENT: /multimedia/libdvdnav
    have:linux-pango-1.2.1_2 status: CURRENT: /x11-toolkits/linux-pango
    have:desktop-file-utils-0.10_1 status: CURRENT: /devel/desktop-file-utils
    have:linux-gdk-pixbuf-0.22.0.11.3.5_1 status: CURRENT:
    /graphics/linux-gdk-pixbuf
    have:sylpheed-1.0.1 status: CURRENT: /mail/sylpheed
    have:libdockapp-0.4.0 status: CURRENT: /x11-wm/libdockapp
    have:enscript-letter-1.6.4_1 status: CURRENT: /print/enscript-letter
    have:pnm2ppa-1.12 status: CURRENT: /print/pnm2ppa
    have:hpijs-1.7.1 status: CURRENT: /print/hpijs
    have:psutils-letter-1.17_1 status: CURRENT: /print/psutils-letter
    have:a2ps-letterdj-4.13b_3 status: CURRENT: /print/a2ps-letterdj
    have:p5-URI-1.35 status: CURRENT: /net/p5-URI
    have:p5-HTML-Tagset-3.04 status: CURRENT: /www/p5-HTML-Tagset
    have:p5-HTML-Pr-3.45 status: CURRENT: /www/p5-HTML-Pr
    have:p5-libwww-5.79_1 status: CURRENT: /www/p5-libwww
    have:weblint-1.020 status: CURRENT: /www/weblint
    have:html2ps-letter-1.0_2 status: CURRENT: /print/html2ps-letter
    have:apsfilter-7.2.6 status: CURRENT: /print/apsfilter
    have:foomatic-db-20040107_2 status: CURRENT: /print/foomatic-db
    have:libfpx-1.2.0.11 status: CURRENT: /graphics/libfpx
    have:libpaper-1.1.14.3 status: CURRENT: /print/libpaper
    have:linux-gtk2-2.2.1_3 status: CURRENT: /x11-toolkits/linux-gtk2
    have:linux-expat-1.95.5_2 status: CURRENT: /textproc/linux-expat
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for installed ports built with old
    dependencies
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    OLD kdeutils-3.3.2 built with old dependency
    samba-libsmbclient-3.0.10_1, current dependency is
    samba-libsmbclient-3.0.11_1
    OLD kde-3.3.2 built with old dependency samba-libsmbclient-3.0.10_1,
    current dependency is samba-libsmbclient-3.0.11_1
    OLD mplayer-gtk-esound-0.99.5_6 built with old dependency
    gnutls-1.0.21_1, current dependency is gnutls-1.0.24
    OLD gnupg-devel-1.9.14_1 built with old dependency gnupg-1.4.0, current
    dependency is gnupg-1.4.0_1
    ------------------------------------------------------------------------
    status report finished
    ================================================== ======================
    checkForOldDepencies 0.2.6_5 skip: linux-sun-jdk-1.4.2.06_1 has a
    dependency libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-flashplugin-6.0r79_2 has a
    dependency libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: acroread-5.10_1 has a dependency
    libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-png-1.2.7_5 has a dependency
    libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-fontconfig-2.1_2 has a
    dependency libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-realplayer-10.0.2_1 has a
    dependency libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-XFree86-libs-4.3.99.902_2 has a
    dependency libiconv-1.9.2_1 that needs to be updated first
    upgrade 0.2.6_5 info: ignoring cjk-cdrtools-2.01.20041227, reason:
    failed during (5) emergancy restore
    upgrade 0.2.6_5 WARNING: This is the second time libiconv-1.9.2_1 is
    being built,
    one more attempt and it will be marked as ignore.

    libiconv-1.9.2_1 not found in dependencyPortsDb property->fieldChildPortName
    Assertion failed: (0), function upgrade, file PMGRrUpgrade.c, line 271.
    Abort trap (core dumped)

    Brian John Guest

  5. #5

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    On Tuesday 15 February 2005 08:52 pm, Brian John wrote:

    Brian, I can't send this to you as a patch because it would
    conflict with the last pr I submitted so I need you to do it this
    way instead:

    cd /usr/ports/sysutils/portmanager
    make deinstall
    make clean
    make patch
    cd /usr/ports/sysutils/portmanager/work/portmanager-0.2.6/libPMGR/src
    ee PMGRrUpgrade.c
    scroll down to line 271and change:

    assert(0);

    to

    continue;

    cd /usr/ports/sysutils/portmanager
    make install clean

    Then let me know how it goes. If this works for you I'll be adding it
    in the next change, I haven't been able to duplicate this on my machine
    so right now you are my only hope of fixing this bug.

    -Mike
    Michael C. Shultz Guest

  6. #6

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    ################################
    Ignore my last message! change assert(0); to break; not continue;
    #################################

    On Tuesday 15 February 2005 08:52 pm, Brian John wrote:

    Brian, I can't send this to you as a patch because it would
    conflict with the last pr I submitted so I need you to do it this
    way instead:

    cd /usr/ports/sysutils/portmanager
    make deinstall
    make clean
    make patch
    cd /usr/ports/sysutils/portmanager/work/portmanager-0.2.6/libPMGR/src
    ee PMGRrUpgrade.c
    scroll down to line 271and change:

    assert(0);

    to

    break;

    cd /usr/ports/sysutils/portmanager
    make install clean

    Then let me know how it goes. If this works for you I'll be adding it
    in the next change, I haven't been able to duplicate this on my machine
    so right now you are my only hope of fixing this bug.

    -Mike
    Michael C. Shultz Guest

  7. #7

    Default Re: Error in port upgrade (was Re: portmanager hosed)





    ----- Original Message -----
    > ################################
    > Ignore my last message! change assert(0); to break; not continue;
    > #################################
    >
    > On Tuesday 15 February 2005 08:52 pm, Brian John wrote:
    >
    > Brian, I can't send this to you as a patch because it would
    > conflict with the last pr I submitted so I need you to do it this
    > way instead:
    >
    > cd /usr/ports/sysutils/portmanager
    > make deinstall
    > make clean
    > make patch
    > cd /usr/ports/sysutils/portmanager/work/portmanager-0.2.6/libPMGR/src
    > ee PMGRrUpgrade.c
    > scroll down to line 271and change:
    >
    > assert(0);
    >
    > to
    >
    > break;
    >
    > cd /usr/ports/sysutils/portmanager
    > make install clean
    >
    > Then let me know how it goes. If this works for you I'll be adding it
    > in the next change, I haven't been able to duplicate this on my machine
    > so right now you are my only hope of fixing this bug.
    >
    > -Mike
    >
    >
    Hmmmm...I am still getting errors. Output is below.

    Thanks again

    /Brian

    if [ ! -d /usr/local/share/doc/libiconv ] ; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/doc/libiconv ; fi
    mkdir -p -- /usr/local/share/doc/libiconv
    if [ ! -d /usr/local/share/doc/libiconv ] ; then /bin/sh
    .../autoconf/mkinstalldirs /usr/local/share/doc/libiconv ; fi
    builddir="`pwd`"; cd . && for f in *.html ; do (cd "$builddir"; echo
    install -o root -g wheel -m 444 ./$f /usr/local/sh
    are/doc/libiconv/$f ; install -o root -g wheel -m 444 ./$f
    /usr/local/share/doc/libiconv/$f) ; done
    install -o root -g wheel -m 444 ./iconv.1.html
    /usr/local/share/doc/libiconv/iconv.1.html
    install -o root -g wheel -m 444 ./iconv.3.html
    /usr/local/share/doc/libiconv/iconv.3.html
    install -o root -g wheel -m 444 ./iconv_close.3.html
    /usr/local/share/doc/libiconv/iconv_close.3.html
    install -o root -g wheel -m 444 ./iconv_open.3.html
    /usr/local/share/doc/libiconv/iconv_open.3.html
    ===> Compressing manual pages for libiconv-1.9.2_1
    ===> Running ldconfig
    /sbin/ldconfig -m /usr/local/lib
    ===> Registering installation for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    deleting backup copy, installation of updated /converters/libiconv successful
    PMGRrDoUpgrade 0.2.6_5 command: #6 of 8 cd /tmp; rm -f libiconv-1.9.2_1.tgz
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    making package of updated /converters/libiconv
    PMGRrDoUpgrade 0.2.6_5 command: #7 of 8 cd /usr/ports/converters/libiconv;
    make package
    ------------------------------------------------------------------------
    ===> Building package for libiconv-1.9.2_1
    Creating package /usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz
    Registering depends:.
    Creating bzip'd tar ball in
    '/usr/ports/converters/libiconv/libiconv-1.9.2_1.tbz'
    ------------------------------------------------------------------------
    terminal clean of work directories
    PMGRrDoUpgrade 0.2.6_5 command: #8 of 8 cd /usr/ports/converters/libiconv;
    make clean
    ------------------------------------------------------------------------
    ===> Cleaning for libtool-1.5.10
    ===> Cleaning for libiconv-1.9.2_1
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: Creating inital data bases
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for missing dependent ports
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-sun-jdk-1.4.2.06_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/java/linux-sun-jdk14; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-sun-jdk-1.4.2.06_1
    forcing rebuild of linux-sun-jdk-1.4.2.06_1 to fix
    /var/db/pkg/linux-sun-jdk-1.4.2.06_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new linux-sun-jdk-1.4.2.06_1
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-sun-jdk-1.4.2.06_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-flashplugin-6.0r79_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/www/linux-flashplugin6; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-flashplugin-6.0r79_2
    forcing rebuild of linux-flashplugin-6.0r79_2 to fix
    /var/db/pkg/linux-flashplugin-6.0r79_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-flashplugin-6.0r79_2 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-flashplugin-6.0r79_2 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of acroread-5.10_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/print/acroread; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of acroread-5.10_1
    forcing rebuild of acroread-5.10_1 to fix
    /var/db/pkg/acroread-5.10_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new acroread-5.10_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of acroread-5.10_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-png-1.2.7_5
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/graphics/linux-png; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-png-1.2.7_5
    forcing rebuild of linux-png-1.2.7_5 to fix
    /var/db/pkg/linux-png-1.2.7_5/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new linux-png-1.2.7_5
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-png-1.2.7_5 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-fontconfig-2.1_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/x11-fonts/linux-fontconfig; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-fontconfig-2.1_2
    forcing rebuild of linux-fontconfig-2.1_2 to fix
    /var/db/pkg/linux-fontconfig-2.1_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new linux-fontconfig-2.1_2
    dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-fontconfig-2.1_2 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-realplayer-10.0.2_1
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/multimedia/linux-realplayer; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-realplayer-10.0.2_1
    forcing rebuild of linux-realplayer-10.0.2_1 to fix
    /var/db/pkg/linux-realplayer-10.0.2_1/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-realplayer-10.0.2_1 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-realplayer-10.0.2_1 then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- linux_base-rh-9[/emulators/linux_base-rh-9] may be a
    dependency of linux-XFree86-libs-4.3.99.902_2
    verifing dependency status of linux_base-rh-9 (may take awhile) by
    executing command:
    cd /usr/ports/x11/linux-XFree86-libs; make all-depends-list
    * * * *
    linux_base-rh-9 is no longer a dependency of linux-XFree86-libs-4.3.99.902_2
    forcing rebuild of linux-XFree86-libs-4.3.99.902_2 to fix
    /var/db/pkg/linux-XFree86-libs-4.3.99.902_2/+CONTENTS file.
    * * * *
    WARNING: linux_base-rh-9 may conflict with a new
    linux-XFree86-libs-4.3.99.902_2 dependency
    and may have to be manually removed with "pkg_delete -f linux_base-rh-9".
    If portmanager fails during rebuild of linux-XFree86-libs-4.3.99.902_2
    then review
    /usr/ports/UPDATING and also note what is at the bottom of /usr/ports/MOVED.
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be a
    dependency of nautilus-cd-burner-2.8.6_1
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take awhile)
    by executing command:
    cd /usr/ports/sysutils/nautilus-cd-burner; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to list
    of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not be
    installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    -=>MISSING<=- cjk-cdrtools-2.01.20041227[/sysutils/cdrtools-cjk] may be a
    dependency of totem-0.100
    verifing dependency status of cjk-cdrtools-2.01.20041227 (may take awhile)
    by executing command:
    cd /usr/ports/multimedia/totem; make all-depends-list
    * * * *
    cjk-cdrtools-2.01.20041227 is indeed a missing dependency, adding to list
    of things to be updated
    * * * *
    checking for cjk-cdrtools-2.01.20041227 dependencies that also may not be
    installed
    listing cjk-cdrtools-2.01.20041227's known dependencies by executing command:
    cd /usr/ports/sysutils/cdrtools-cjk; make all-depends-list
    * * * *
    dependency -=>converters/libiconv
    executing: cd /usr/ports/converters/libiconv; make describe
    * * * *
    adding libiconv-1.9.2_1 to list of things to be upgraded/added.
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for old installed ports
    ------------------------------------------------------------------------
    have:expat-1.95.8 status: CURRENT: /textproc/expat2
    have:freetype2-2.1.7_4 status: CURRENT: /print/freetype2
    have:pkgconfig-0.15.0_1 status: CURRENT: /devel/pkgconfig
    have:fontconfig-2.2.3,1 status: CURRENT: /x11-fonts/fontconfig
    have:imake-6.8.1 status: CURRENT: /devel/imake-6
    have:xorg-libraries-6.8.1_1 status: CURRENT: /x11/xorg-libraries
    have:libXft-2.1.6 status: CURRENT: /x11-fonts/libXft
    have:png-1.2.8_1 status: CURRENT: /graphics/png
    have:xterm-200 status: CURRENT: /x11/xterm
    have:xorg-clients-6.8.1_1 status: CURRENT: /x11/xorg-clients
    have:xorg-manpages-6.8.1 status: CURRENT: /x11/xorg-manpages
    have:xorg-doents-6.8.1 status: CURRENT: /x11/xorg-doents
    have:xorg-server-6.8.1_2 status: CURRENT: /x11-servers/xorg-server
    have:xorg-nestserver-6.8.1 status: CURRENT: /x11-servers/xorg-nestserver
    have:xorg-printserver-6.8.1 status: CURRENT: /x11-servers/xorg-printserver
    have:xorg-vfbserver-6.8.1 status: CURRENT: /x11-servers/xorg-vfbserver
    have:qmake-3.3.4 status: CURRENT: /devel/qmake
    have:perl-5.8.6_2 status: CURRENT: /lang/perl5.8
    have:xorg-fonts-encodings-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-encodings
    have:xorg-fonts-miscbitmaps-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-miscbitmaps
    have:xorg-fonts-75dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-75dpi
    have:xorg-fonts-100dpi-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-100dpi
    have:xorg-fonts-cyrillic-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-cyrillic
    have:xorg-fonts-type1-6.8.1 status: CURRENT: /x11-fonts/xorg-fonts-type1
    have:libiconv-1.9.2_1 status: CURRENT: /converters/libiconv
    have:xorg-fonts-truetype-6.8.1 status: CURRENT:
    /x11-fonts/xorg-fonts-truetype
    have:xorg-fontserver-6.8.1_2 status: CURRENT: /x11-servers/xorg-fontserver
    have:libtool-1.3.5_2 status: CURRENT: /devel/libtool13
    have:jpeg-6b_3 status: CURRENT: /graphics/jpeg
    have:tiff-3.7.1_2 status: CURRENT: /graphics/tiff
    have:gnupg-1.4.0_1 status: CURRENT: /security/gnupg
    have:libmng-1.0.8 status: CURRENT: /graphics/libmng
    have:libtool-1.5.10 status: CURRENT: /devel/libtool15
    have:nas-1.7 status: CURRENT: /audio/nas
    have:gettext-0.14.1 status: CURRENT: /devel/gettext
    have:gmake-3.80_2 status: CURRENT: /devel/gmake
    have:qt-3.3.4 status: CURRENT: /x11-toolkits/qt33
    have:m4-1.4.1 status: CURRENT: /devel/m4
    have:p5-gettext-1.03 status: CURRENT: /devel/p5-Locale-gettext
    have:help2man-1.34.2 status: CURRENT: /misc/help2man
    have:autoconf-2.59_2 status: CURRENT: /devel/autoconf259
    have:samba-libsmbclient-3.0.11_1 status: CURRENT: /net/samba-libsmbclient
    have:libmad-0.15.1b_1 status: CURRENT: /audio/libmad
    have:libart_lgpl2-2.3.17 status: CURRENT: /graphics/libart_lgpl2
    have:libaudiofile-0.2.6 status: CURRENT: /audio/libaudiofile
    have:libxml2-2.6.17 status: CURRENT: /textproc/libxml2
    have:gnutls-1.0.24 status: CURRENT: /security/gnutls
    have:glib-2.4.8 status: CURRENT: /devel/glib20
    have:libvorbis-1.1.0_1,3 status: CURRENT: /audio/libvorbis
    have:arts-1.3.2,1 status: CURRENT: /audio/arts
    have:aspell-0.60.2 status: CURRENT: /textproc/aspell
    have:cups-base-1.1.23.0_3 status: CURRENT: /print/cups-base
    have:autoconf-2.53_3 status: CURRENT: /devel/autoconf253
    have:automake-1.5_2,1 status: CURRENT: /devel/automake15
    have:fam-2.6.9_6 status: CURRENT: /devel/fam
    have:gengetopt-2.11 status: CURRENT: /devel/gengetopt
    have:libidn-0.5.13 status: CURRENT: /devel/libidn
    have:unzip-5.51 status: CURRENT: /archivers/unzip
    have:jasper-1.701.0 status: CURRENT: /graphics/jasper
    have:rpm2cpio-1.2_2 status: CURRENT: /archivers/rpm2cpio
    have:pcre-5.0 status: CURRENT: /devel/pcre
    have:openldap-client-2.2.23 status: CURRENT: /net/openldap22-client
    have:kdelibs-3.3.2_4 status: CURRENT: /x11/kdelibs3
    have:artswrapper-1.2.1_1 status: CURRENT: /audio/artswrapper
    have:kdebase-3.3.2_1 status: CURRENT: /x11/kdebase3
    have:cdrtools-2.01 status: CURRENT: /sysutils/cdrtools
    have:net-snmp-5.2.1 status: CURRENT: /net-mgmt/net-snmp
    have:libgpg-error-1.0_1 status: CURRENT: /security/libgpg-error
    have:gtk-2.4.14_2 status: CURRENT: /x11-toolkits/gtk20
    have:gsfonts-8.11_2 status: CURRENT: /print/gsfonts
    have:ghostscript-gnu-7.07_12 status: CURRENT: /print/ghostscript-gnu
    have:xpdf-3.00_6 status: CURRENT: /graphics/xpdf
    have:jbigkit-1.6 status: CURRENT: /graphics/jbigkit
    have:libwmf-0.2.8.3 status: CURRENT: /graphics/libwmf
    have:OpenEXR-1.2.1_1 status: CURRENT: /graphics/OpenEXR
    have:mpeg2codec-1.2_1 status: CURRENT: /multimedia/mpeg2codec
    have:ImageMagick-6.1.9.2 status: CURRENT: /graphics/ImageMagick
    have:bison-1.75_2 status: CURRENT: /devel/bison
    have:tcl-8.4.7,1 status: CURRENT: /lang/tcl84
    have:tk-8.4.7,2 status: CURRENT: /x11-toolkits/tk84
    have:graphviz-1.16 status: CURRENT: /graphics/graphviz
    have:libcdio-0.72 status: CURRENT: /sysutils/libcdio
    have:libgsf-1.10.1 status: CURRENT: /devel/libgsf
    have:wv2-0.2.2 status: CURRENT: /textproc/wv2
    have:WordNet-2.0 status: CURRENT: /textproc/wordnet
    have:openslp-1.0.11_1 status: CURRENT: /net/openslp
    have:qca-tls-1.0_1 status: CURRENT: /security/qca-tls
    have:fribidi-0.10.4_1 status: CURRENT: /converters/fribidi
    have:libglut-6.0.1 status: CURRENT: /graphics/libglut
    have:t1lib-5.0.1,1 status: CURRENT: /devel/t1lib
    have:open-motif-2.2.3_1 status: CURRENT: /x11-toolkits/open-motif
    have:koffice-1.3.5_2,1 status: CURRENT: /editors/koffice-kde3
    have:imlib-1.9.15_2 status: CURRENT: /graphics/imlib
    have:glib-1.2.10_11 status: CURRENT: /devel/glib12
    have:gtk-1.2.10_12 status: CURRENT: /x11-toolkits/gtk12
    have:python-2.4_1 status: CURRENT: /lang/python
    have:libungif-4.1.3 status: CURRENT: /graphics/libungif
    have:nasm-0.98.39,1 status: CURRENT: /devel/nasm
    have:kdegraphics-kuickshow-3.3.2 status: CURRENT: /graphics/kuickshow
    have:libusb-0.1.7_1 status: CURRENT: /devel/libusb
    have:gnokii-0.6.4,1 status: CURRENT: /comms/gnokii
    have:libgphoto2-2.1.5 status: CURRENT: /graphics/libgphoto2
    have:kdegraphics-kamera-3.3.2 status: CURRENT: /graphics/kamera
    have:kdegraphics-3.3.2_2 status: CURRENT: /graphics/kdegraphics3
    have:javavmwrapper-2.0_3 status: CURRENT: /java/javavmwrapper
    have:flac-1.1.0_4 status: CURRENT: /audio/flac
    have:cdparanoia-3.9.8_7 status: CURRENT: /audio/cdparanoia
    have:libmusicbrainz-2.1.1 status: CURRENT: /audio/libmusicbrainz
    have:speex-1.0.4_1,1 status: CURRENT: /audio/speex
    have:libtunepimp-0.3.0_1 status: CURRENT: /audio/libtunepimp
    have:djbfft-0.76_1 status: CURRENT: /math/djbfft
    have:aalib-1.4.r5_1 status: CURRENT: /graphics/aalib
    have:svgalib-1.4.3_4 status: CURRENT: /graphics/svgalib
    have:sdl-1.2.8,2 status: CURRENT: /devel/sdl12
    have:taglib-1.3.1 status: CURRENT: /audio/taglib
    have:liba52-0.7.4_1 status: CURRENT: /audio/liba52
    have:libdvdcss-1.2.8_1 status: CURRENT: /multimedia/libdvdcss
    have:libdvdread-0.9.4_1 status: CURRENT: /multimedia/libdvdread
    have:gcc-3.2.3_3 status: CURRENT: /lang/gcc32
    have:kdemultimedia-mpeglib_artsplug-3.3.2 status: CURRENT:
    /audio/mpeglib_artsplug
    have:kdemultimedia-3.3.2 status: CURRENT: /multimedia/kdemultimedia3
    have:pilot-link-0.11.8_3 status: CURRENT: /palm/pilot-link
    have:libmal-0.40 status: CURRENT: /palm/libmal
    have:esound-0.2.35_1 status: CURRENT: /audio/esound
    have:libassuan-0.6.9 status: CURRENT: /security/libassuan
    have:db4-4.0.14_1,1 status: CURRENT: /databases/db4
    have:kdesdk-3.3.2 status: CURRENT: /devel/kdesdk3
    have:automake-1.9.4 status: CURRENT: /devel/automake19
    have:kdevelop-3.1.2 status: CURRENT: /devel/kdevelop
    have:kdeedu-3.3.2 status: CURRENT: /misc/kdeedu3
    have:kdeadmin-3.3.2 status: CURRENT: /sysutils/kdeadmin3
    have:tidy-20000804_2 status: CURRENT: /www/tidy
    have:kdeutils-3.3.2 status: CURRENT: /misc/kdeutils3
    have:kdemultimedia-xine_artsplugin-3.3.2_1 status: CURRENT:
    /multimedia/xine_artsplugin
    have:kdewebdev-3.3.2,2 status: CURRENT: /www/kdewebdev
    have:kdetoys-3.3.2 status: CURRENT: /x11-clocks/kdetoys3
    have:kdeartwork-3.3.2 status: CURRENT: /x11-themes/kdeartwork3
    have:kdeaccessibility-3.3.2 status: CURRENT:
    /accessibility/kdeaccessibility
    have:kde-3.3.2 status: CURRENT: /x11/kde3
    have:zip-2.3_2 status: CURRENT: /archivers/zip
    have:p5-XML-Pr-2.34_1 status: CURRENT: /textproc/p5-XML-Pr
    have:intltool-0.32.1 status: CURRENT: /textproc/intltool
    have:nspr-4.4.1_1 status: CURRENT: /devel/nspr
    have:shared-mime-info-0.15_7 status: CURRENT: /misc/shared-mime-info
    have:ruby-1.8.2_2 status: CURRENT: /lang/ruby18
    have:ruby18-bdb1-0.2.2 status: CURRENT: /databases/ruby-bdb1
    have:portupgrade-20041226_1 status: CURRENT: /sysutils/portupgrade
    have:hicolor-icon-theme-0.5 status: CURRENT: /misc/hicolor-icon-theme
    have:apache-ant-1.6.2 status: CURRENT: /devel/apache-ant
    have:libIDL-0.8.5 status: CURRENT: /devel/libIDL
    have:bash-3.0.16_1 status: CURRENT: /shells/bash
    have:libexif-0.6.10 status: CURRENT: /graphics/libexif
    have:grub-0.95 status: CURRENT: /sysutils/grub
    have:atk-1.8.0 status: CURRENT: /accessibility/atk
    have:mtools-3.9.8_4 status: CURRENT: /emulators/mtools
    have:ezm3-1.2 status: CURRENT: /lang/ezm3
    have:cvsup-16.1h status: CURRENT: /net/cvsup
    have:pango-1.6.0 status: CURRENT: /x11-toolkits/pango
    have:gnomehier-1.0_22 status: CURRENT: /misc/gnomehier
    have:thunderbird-1.0_1 status: CURRENT: /mail/thunderbird
    have:libogg-1.1.2_1,3 status: CURRENT: /audio/libogg
    have:firefox-1.0_7,1 status: CURRENT: /www/firefox
    have:libltdl-1.5.10 status: CURRENT: /devel/libltdl15
    have:kdehier-1.0_4 status: CURRENT: /misc/kdehier
    have:kdenetwork-3.3.2 status: CURRENT: /net/kdenetwork3
    have:libfame-0.9.1_1 status: CURRENT: /multimedia/libfame
    have:libgcrypt-1.2.1 status: CURRENT: /security/libgcrypt
    have:libksba-0.9.10_1 status: CURRENT: /security/libksba
    have:pth-2.0.3 status: CURRENT: /devel/pth
    have:dirmngr-0.9.0_1 status: CURRENT: /security/dirmngr
    have:gpgme-1.0.2 status: CURRENT: /security/gpgme
    have:kdepim-3.3.2 status: CURRENT: /deskutils/kdepim3
    have:gnupg-devel-1.9.14_1 status: CURRENT: /security/gnupg-devel
    have:libmikmod-esound-3.1.11 status: CURRENT: /audio/libmikmod
    have:gnomemimedata-2.4.2 status: CURRENT: /misc/gnomemimedata
    have:libijs-0.35 status: CURRENT: /print/libijs
    have:gimp-print-4.2.7_1 status: CURRENT: /print/gimp-print
    have:xmms-esound-1.2.10_2 status: CURRENT: /multimedia/xmms
    have:linc-1.0.3_2 status: CURRENT: /net/linc
    have:popt-1.7 status: CURRENT: /devel/popt
    have:ORBit2-2.12.1 status: CURRENT: /devel/ORBit2
    have:libbonobo-2.8.1 status: CURRENT: /devel/libbonobo
    have:gconf2-2.8.1_1 status: CURRENT: /devel/gconf2
    have:gnomevfs2-2.8.3_3 status: CURRENT: /devel/gnomevfs2
    have:startup-notification-0.8_1 status: CURRENT: /x11/startup-notification
    have:nss-3.9.2 status: CURRENT: /security/nss
    have:gtkspell2-2.0.8_1 status: CURRENT: /textproc/gtkspell2
    have:libao-esound-0.8.5 status: CURRENT: /audio/libao
    have:gaim-1.1.2 status: CURRENT: /net/gaim
    have:dvd+rw-tools-5.21.4.10.8 status: CURRENT: /sysutils/dvd+rw-tools
    have:id3lib-3.8.3_1 status: CURRENT: /audio/id3lib
    have:linux-tiff-3.6.1_1 status: CURRENT: /graphics/linux-tiff
    have:pccts-1.33.33 status: CURRENT: /devel/pccts
    have:cdrdao-1.1.9 status: CURRENT: /sysutils/cdrdao
    have:k3b-0.11.20 status: CURRENT: /sysutils/k3b
    have:mozilla-1.7.5_1,2 status: CURRENT: /www/mozilla
    have:libcroco-0.6.0 status: CURRENT: /textproc/libcroco
    have:gtk-engines2-2.2.0_6 status: CURRENT: /x11-themes/gtk-engines2
    have:librsvg2-2.8.1_1 status: CURRENT: /graphics/librsvg2
    have:gimp-2.2.3,1 status: CURRENT: /graphics/gimp
    have:docbook-xsl-1.68.0 status: OLD available:docbook-xsl-1.68.1
    /textproc/docbook-xsl
    have:linux-sun-jdk-1.4.2.06_1 status: CURRENT: /java/linux-sun-jdk14
    have:urwfonts-1.0 status: CURRENT: /x11-fonts/urwfonts
    have:jdk-1.4.2p7 status: CURRENT: /java/jdk14
    have:linux-flashplugin-6.0r79_2 status: CURRENT: /www/linux-flashplugin6
    have:acroread-5.10_1 status: CURRENT: /print/acroread
    have:linux_base-8-8.0_6 status: CURRENT: /emulators/linux_base-8
    have:kdebase-konqueror-nsplugins-3.3.2 status: CURRENT:
    /www/konqueror-nsplugins
    have:wxgtk-common-2.4.2_1 status: CURRENT: /x11-toolkits/wxgtk-common
    have:wxgtk2-2.4.2_5 status: CURRENT: /x11-toolkits/wxgtk2
    have:wget-1.8.2_6 status: CURRENT: /ftp/wget
    have:aMule-1.2.8_1 status: CURRENT: /net/amule
    have:xmlcatmgr-2.2 status: CURRENT: /textproc/xmlcatmgr
    have:libglade2-2.4.2 status: CURRENT: /devel/libglade2
    have:libgnomecanvas-2.8.0 status: CURRENT: /graphics/libgnomecanvas
    have:docbook-sk-4.1.2_3 status: CURRENT: /textproc/docbook-sk
    have:docbook-xml-4.2_1 status: CURRENT: /textproc/docbook-xml
    have:sdocbook-xml-4.1.2.5_2 status: CURRENT: /textproc/sdocbook-xml
    have:scrollkeeper-0.3.14_1,1 status: CURRENT: /textproc/scrollkeeper
    have:libgnome-2.8.0_2 status: CURRENT: /x11/libgnome
    have:libbonoboui-2.8.1_1 status: CURRENT: /x11-toolkits/libbonoboui
    have:gnomekeyring-0.4.1 status: CURRENT: /security/gnomekeyring
    have:gnome-icon-theme-2.8.0_1 status: CURRENT: /misc/gnome-icon-theme
    have:portmanager-0.2.6_5 status: CURRENT: /sysutils/portmanager
    have:libgnomeui-2.8.0_1 status: CURRENT: /x11-toolkits/libgnomeui
    have:curl-7.12.3_2 status: CURRENT: /ftp/curl
    have:eclipse-3.0.1_3 status: CURRENT: /java/eclipse
    have:openoffice-1.1.4 status: CURRENT: /editors/openoffice-1.1
    have:rar-3.41,1 status: CURRENT: /archivers/rar
    have:normalize-0.7.6_3 status: CURRENT: /audio/normalize
    have:sox-12.17.7 status: CURRENT: /audio/sox
    have:libdv-0.103 status: CURRENT: /multimedia/libdv
    have:xvid4conf-1.10_1 status: CURRENT: /multimedia/xvid4conf
    have:libcddb-0.9.6 status: CURRENT: /audio/libcddb
    have:vcdimager-0.7.21_1 status: CURRENT: /multimedia/vcdimager
    have:emovix-0.8.0_1 status: CURRENT: /multimedia/emovix
    have:dvdauthor-0.6.10_3 status: CURRENT: /multimedia/dvdauthor
    have:ddclient-3.6.5 status: CURRENT: /dns/ddclient
    have:libxslt-1.1.12_1 status: CURRENT: /textproc/libxslt
    have:autoconf-2.13.000227_5 status: CURRENT: /devel/autoconf213
    have:automake-1.4.6_1 status: CURRENT: /devel/automake14
    have:rpm-3.0.6_9 status: CURRENT: /archivers/rpm
    have:linux-glib2-2.2.1_2 status: CURRENT: /devel/linux-glib2
    have:linux-atk-1.2.0_2 status: CURRENT: /accessibility/linux-atk
    have:linux-jpeg-6b.15_3 status: CURRENT: /graphics/linux-jpeg
    have:linux-png-1.2.7_5 status: CURRENT: /graphics/linux-png
    have:lame-3.96.1 status: CURRENT: /audio/lame
    have:gnomedesktop-2.8.3 status: CURRENT: /x11/gnomedesktop
    have:linux-divxplayer-0.2.0_1 status: CURRENT: /multimedia/linux-divxplayer
    have:mplayer-skins-1.1.1 status: OLD available:mplayer-skins-1.1.1_1
    /multimedia/mplayer-skins
    have:win32-codecs-3.1.0.p5,1 status: CURRENT: /multimedia/win32-codecs
    have:mplayer-gtk-esound-0.99.5_6 status: CURRENT: /multimedia/mplayer
    have:mpeg4ip-libmp4v2-1.1_1 status: CURRENT: /multimedia/mpeg4ip-libmp4v2
    have:libsndfile-1.0.11 status: CURRENT: /audio/libsndfile
    have:faad2-2.0_5,1 status: CURRENT: /audio/faad
    have:xvid-1.0.3,1 status: CURRENT: /multimedia/xvid
    have:avifile-0.7.41,2 status: CURRENT: /multimedia/avifile
    have:mjpegtools-1.6.2_2 status: CURRENT: /multimedia/mjpegtools
    have:qdvdauthor-0.0.8_1 status: CURRENT: /multimedia/qdvdauthor
    have:libxine-1.0_1 status: CURRENT: /multimedia/libxine
    have:kdegames-3.3.2_1 status: CURRENT: /games/kdegames3
    have:transcode-0.6.12_4 status: CURRENT: /multimedia/transcode
    have:gdk-pixbuf-0.22.0_3 status: CURRENT: /graphics/gdk-pixbuf
    have:xcdroast-0.98.a.15_2 status: CURRENT: /sysutils/xcdroast
    have:linux-fontconfig-2.1_2 status: CURRENT: /x11-fonts/linux-fontconfig
    have:linux-realplayer-10.0.2_1 status: CURRENT: /multimedia/linux-realplayer
    have:coreutils-5.2.1 status: CURRENT: /sysutils/coreutils
    have:ORBit-0.5.17_2 status: CURRENT: /devel/ORBit
    have:azureus-2.2.0.2_4 status: CURRENT: /net/azureus
    have:xv-3.10a_4 status: CURRENT: /graphics/xv
    have:dri-6.2.1,2 status: CURRENT: /graphics/dri
    have:texi2html-1.76_1,1 status: CURRENT: /textproc/texi2html
    have:boxtools-0.65.0 status: CURRENT: /x11-wm/boxtools
    have:xmms-wma-1.0.4_1 status: CURRENT: /audio/xmms-wma
    have:fluxbox-0.1.14_2 status: CURRENT: /x11-wm/fluxbox
    have:aterm-0.4.2 status: CURRENT: /x11/aterm
    have:py24-numeric-23.7 status: CURRENT: /math/py-numeric
    have:py24-tkinter-2.4_1 status: CURRENT: /x11-toolkits/py-tkinter
    have:py24-imaging-1.1.4 status: CURRENT: /graphics/py-imaging
    have:swig-1.1p5_9 status: CURRENT: /devel/swig11
    have:py24-opengl-2.0.1.07_1 status: CURRENT: /graphics/py-opengl
    have:py24-wxPython-2.4.2.4_3 status: CURRENT: /x11-toolkits/py-wxPython
    have:lcms-1.14,1 status: CURRENT: /graphics/lcms
    have:linuxpluginwrapper-20050119_1 status: CURRENT: /www/linuxpluginwrapper
    have:sudo-1.6.8.7 status: CURRENT: /security/sudo
    have:nautilus2-2.8.2_1 status: CURRENT: /x11-fm/nautilus2
    have:man2html-3.0.1_1 status: CURRENT: /textproc/man2html
    have:imlib2-1.1.2_1 status: CURRENT: /graphics/imlib2
    have:libast-0.5_1 status: CURRENT: /devel/libast
    have:eterm-0.9.2_1 status: CURRENT: /x11/eterm
    have:linux-XFree86-libs-4.3.99.902_2 status: CURRENT: /x11/linux-XFree86-libs
    have:fox-1.2.11 status: CURRENT: /x11-toolkits/fox-devel
    have:xfe-0.72 status: CURRENT: /x11-fm/xfe
    have:libid3tag-0.15.0b_2 status: CURRENT: /audio/libid3tag
    have:madplay-esound-0.15.0b_2 status: CURRENT: /audio/madplay
    have:mad-0.15.0b status: CURRENT: /audio/mad
    have:xine-0.99.3 status: CURRENT: /multimedia/xine
    have:gail-1.8.2 status: CURRENT: /accessibility/gail
    have:eel-2.8.2 status: CURRENT: /x11-toolkits/eel
    have:nautilus-cd-burner-2.8.6_1 status: OLD
    available:nautilus-cd-burner-2.8.7 /sysutils/nautilus-cd-burner
    have:totem-0.100 status: CURRENT: /multimedia/totem
    have:bash-2.05b.007_2 status: CURRENT: /shells/bash2
    have:libdvdnav-0.1.9 status: CURRENT: /multimedia/libdvdnav
    have:linux-pango-1.2.1_2 status: CURRENT: /x11-toolkits/linux-pango
    have:desktop-file-utils-0.10_1 status: CURRENT: /devel/desktop-file-utils
    have:bitstream-vera-1.10 status: OLD available:bitstream-vera-1.10_1
    /x11-fonts/bitstream-vera
    have:sylpheed-1.0.1 status: CURRENT: /mail/sylpheed
    have:libdockapp-0.4.0 status: CURRENT: /x11-wm/libdockapp
    have:enscript-letter-1.6.4_1 status: CURRENT: /print/enscript-letter
    have:pnm2ppa-1.12 status: CURRENT: /print/pnm2ppa
    have:hpijs-1.7.1 status: CURRENT: /print/hpijs
    have:psutils-letter-1.17_1 status: CURRENT: /print/psutils-letter
    have:a2ps-letterdj-4.13b_3 status: CURRENT: /print/a2ps-letterdj
    have:p5-URI-1.35 status: CURRENT: /net/p5-URI
    have:p5-HTML-Tagset-3.04 status: CURRENT: /www/p5-HTML-Tagset
    have:p5-HTML-Pr-3.45 status: CURRENT: /www/p5-HTML-Pr
    have:p5-libwww-5.79_1 status: CURRENT: /www/p5-libwww
    have:weblint-1.020 status: CURRENT: /www/weblint
    have:html2ps-letter-1.0_2 status: CURRENT: /print/html2ps-letter
    have:apsfilter-7.2.6 status: CURRENT: /print/apsfilter
    have:foomatic-db-20040107_2 status: CURRENT: /print/foomatic-db
    have:libfpx-1.2.0.11 status: CURRENT: /graphics/libfpx
    have:libpaper-1.1.14.3 status: CURRENT: /print/libpaper
    have:linux-gtk2-2.2.1_3 status: CURRENT: /x11-toolkits/linux-gtk2
    have:linux-expat-1.95.5_2 status: CURRENT: /textproc/linux-expat
    ------------------------------------------------------------------------
    PMGRrStatus 0.2.6_5 info: looking for installed ports built with old
    dependencies
    ------------------------------------------------------------------------
    ------------------------------------------------------------------------
    OLD kdeutils-3.3.2 built with old dependency samba-libsmbclient-3.0.10_1,
    current dependency is samba-libsmbclient-3.0.1
    1_1
    OLD kde-3.3.2 built with old dependency samba-libsmbclient-3.0.10_1,
    current dependency is samba-libsmbclient-3.0.11_1
    OLD mplayer-gtk-esound-0.99.5_6 built with old dependency gnutls-1.0.21_1,
    current dependency is gnutls-1.0.24
    OLD gnupg-devel-1.9.14_1 built with old dependency gnupg-1.4.0, current
    dependency is gnupg-1.4.0_1
    ------------------------------------------------------------------------
    status report finished
    ================================================== ======================
    checkForOldDepencies 0.2.6_5 skip: linux-sun-jdk-1.4.2.06_1 has a
    dependency libiconv-1.9.2_1 that needs to be updated f
    irst
    checkForOldDepencies 0.2.6_5 skip: linux-flashplugin-6.0r79_2 has a
    dependency libiconv-1.9.2_1 that needs to be updated
    first
    checkForOldDepencies 0.2.6_5 skip: acroread-5.10_1 has a dependency
    libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-png-1.2.7_5 has a dependency
    libiconv-1.9.2_1 that needs to be updated first
    checkForOldDepencies 0.2.6_5 skip: linux-fontconfig-2.1_2 has a dependency
    libiconv-1.9.2_1 that needs to be updated fir
    st
    checkForOldDepencies 0.2.6_5 skip: linux-realplayer-10.0.2_1 has a
    dependency libiconv-1.9.2_1 that needs to be updated
    first
    checkForOldDepencies 0.2.6_5 skip: linux-XFree86-libs-4.3.99.902_2 has a
    dependency libiconv-1.9.2_1 that needs to be up
    dated first
    upgrade 0.2.6_5 info: ignoring cjk-cdrtools-2.01.20041227, reason: failed
    during (5) emergancy restore
    upgrade 0.2.6_5 WARNING: This is the second time libiconv-1.9.2_1 is being
    built,
    one more attempt and it will be marked as ignore.

    libiconv-1.9.2_1 not found in dependencyPortsDb property->fieldChildPortName
    ------------------------------------------------------------------------
    update of ports collection complete with either some errors, ignored ports
    or both
    ================================================== ======================
    su-2.05b#

    Brian John Guest

  8. #8

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    On Wednesday 16 February 2005 09:50 am, Brian John wrote:
    > ----- Original Message -----
    >
    > > ################################
    > > Ignore my last message! change assert(0); to break; not continue;
    > > #################################
    > >
    > > On Tuesday 15 February 2005 08:52 pm, Brian John wrote:
    > >
    > > Brian, I can't send this to you as a patch because it would
    > > conflict with the last pr I submitted so I need you to do it this
    > > way instead:
    > >
    > > cd /usr/ports/sysutils/portmanager
    > > make deinstall
    > > make clean
    > > make patch
    > > cd
    > > /usr/ports/sysutils/portmanager/work/portmanager-0.2.6/libPMGR/src
    > > ee PMGRrUpgrade.c
    > > scroll down to line 271and change:
    > >
    > > assert(0);
    > >
    > > to
    > >
    > > break;
    > >
    > > cd /usr/ports/sysutils/portmanager
    > > make install clean
    > >
    > > Then let me know how it goes. If this works for you I'll be adding
    > > it in the next change, I haven't been able to duplicate this on my
    > > machine so right now you are my only hope of fixing this bug.
    > >
    > > -Mike
    >
    > Hmmmm...I am still getting errors. Output is below.
    >
    > Thanks again
    >
    > /Brian
    >
    OK Brian I want to go through everything piece by piece on your system,
    so I need to look at portmanager's databases. They shouldn't be too big.
    Please send me: portmanager.tar.gz

    cd /usr/local/share
    tar -cf portmanager.tar portmanager
    gzip portmanager.tar

    Thank you

    -Mike
    Michael C. Shultz Guest

  9. #9

    Default Re: Error in port upgrade (was Re: portmanager hosed)

    ----- Original Message -----
    > On Wednesday 16 February 2005 09:50 am, Brian John wrote:
    >> ----- Original Message -----
    >>
    >> > ################################
    >> > Ignore my last message! change assert(0); to break; not continue;
    >> > #################################
    >> >
    >> > On Tuesday 15 February 2005 08:52 pm, Brian John wrote:
    >> >
    >> > Brian, I can't send this to you as a patch because it would
    >> > conflict with the last pr I submitted so I need you to do it this
    >> > way instead:
    >> >
    >> > cd /usr/ports/sysutils/portmanager
    >> > make deinstall
    >> > make clean
    >> > make patch
    >> > cd
    >> > /usr/ports/sysutils/portmanager/work/portmanager-0.2.6/libPMGR/src
    >> > ee PMGRrUpgrade.c
    >> > scroll down to line 271and change:
    >> >
    >> > assert(0);
    >> >
    >> > to
    >> >
    >> > break;
    >> >
    >> > cd /usr/ports/sysutils/portmanager
    >> > make install clean
    >> >
    >> > Then let me know how it goes. If this works for you I'll be adding
    >> > it in the next change, I haven't been able to duplicate this on my
    >> > machine so right now you are my only hope of fixing this bug.
    >> >
    >> > -Mike
    >>
    >> Hmmmm...I am still getting errors. Output is below.
    >>
    >> Thanks again
    >>
    >> /Brian
    >>
    > OK Brian I want to go through everything piece by piece on your system,
    > so I need to look at portmanager's databases. They shouldn't be too big.
    > Please send me: portmanager.tar.gz
    >
    > cd /usr/local/share
    > tar -cf portmanager.tar portmanager
    > gzip portmanager.tar
    >
    > Thank you
    >
    > -Mike
    > _______________________________________________
    > [email]freebsd-questionsfreebsd.org[/email] mailing list
    > [url]http://lists.freebsd.org/mailman/listinfo/freebsd-questions[/url]
    > To unsubscribe, send any mail to
    > "freebsd-questions-unsubscribefreebsd.org"
    >
    >
    Sure, it's attached.

    Let me know what you come up with

    Thanks

    /Brian

    Brian John Guest

Similar Threads

  1. Access database getting hosed up on web server
    By CRC in forum Coldfusion Database Access
    Replies: 7
    Last Post: October 5th, 09:05 PM
  2. Portmanager output, what's it mean?
    By Benjamin Dover in forum FreeBSD
    Replies: 1
    Last Post: February 15th, 11:08 PM
  3. ntoskrnl.exe is lost or hosed
    By Kevin Bolster in forum Windows XP/2000/ME
    Replies: 1
    Last Post: July 11th, 02:22 AM
  4. XP DHCP settings hosed
    By Sam in forum Windows Networking
    Replies: 2
    Last Post: July 10th, 01:42 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139